Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.repository
Class Repository

    java.lang.Object
      org.pentaho.di.repository.Repository

    public class Repository

extends Object

This class handles interactions with a Kettle repository.

Author:
  Matt Created on 31-mrt-2004

Field Summary
`static String` | `FIELD_CLUSTER_BASE_PORT`
`static String` | `FIELD_CLUSTER_DYNAMIC`
`static String` | `FIELD_CLUSTER_ID_CLUSTER`
`static String` | `FIELD_CLUSTER_NAME`
`static String` | `FIELD_CLUSTER_SLAVE_ID_CLUSTER`
`static String` | `FIELD_CLUSTER_SLAVE_ID_CLUSTER_SLAVE`
`static String` | `FIELD_CLUSTER_SLAVE_ID_SLAVE`
`static String` | `FIELD_CLUSTER_SOCKETS_BUFFER_SIZE`
`static String` | `FIELD_CLUSTER_SOCKETS_COMPRESSED`
`static String` | `FIELD_CLUSTER_SOCKETS_FLUSH_INTERVAL`
`static String` | `FIELD_CONDITION_CONDITION_FUNCTION`
`static String` | `FIELD_CONDITION_ID_CONDITION`
`static String` | `FIELD_CONDITION_ID_CONDITION_PARENT`
`static String` | `FIELD_CONDITION_ID_VALUE_RIGHT`
`static String` | `FIELD_CONDITION_LEFT_NAME`
`static String` | `FIELD_CONDITION_NEGATED`
`static String` | `FIELD_CONDITION_OPERATOR`
`static String` | `FIELD_CONDITION_RIGHT_NAME`
`static String` | `FIELD_DATABASE_ATTRIBUTE_CODE`
`static String` | `FIELD_DATABASE_ATTRIBUTE_ID_DATABASE`
`static String` | `FIELD_DATABASE_ATTRIBUTE_ID_DATABASE_ATTRIBUTE`
`static String` | `FIELD_DATABASE_ATTRIBUTE_VALUE_STR`
`static String` | `FIELD_DATABASE_CONTYPE_CODE`
`static String` | `FIELD_DATABASE_CONTYPE_DESCRIPTION`
`static String` | `FIELD_DATABASE_CONTYPE_ID_DATABASE_CONTYPE`
`static String` | `FIELD_DATABASE_DATA_TBS`
`static String` | `FIELD_DATABASE_DATABASE_NAME`
`static String` | `FIELD_DATABASE_HOST_NAME`
`static String` | `FIELD_DATABASE_ID_DATABASE`
`static String` | `FIELD_DATABASE_ID_DATABASE_CONTYPE`
`static String` | `FIELD_DATABASE_ID_DATABASE_TYPE`
`static String` | `FIELD_DATABASE_INDEX_TBS`
`static String` | `FIELD_DATABASE_NAME`
`static String` | `FIELD_DATABASE_PASSWORD`
`static String` | `FIELD_DATABASE_PORT`
`static String` | `FIELD_DATABASE_SERVERNAME`
`static String` | `FIELD_DATABASE_TYPE_CODE`
`static String` | `FIELD_DATABASE_TYPE_DESCRIPTION`
`static String` | `FIELD_DATABASE_TYPE_ID_DATABASE_TYPE`
`static String` | `FIELD_DATABASE_USERNAME`
`static String` | `FIELD_DEPENDENCY_FIELD_NAME`
`static String` | `FIELD_DEPENDENCY_ID_DATABASE`
`static String` | `FIELD_DEPENDENCY_ID_DEPENDENCY`
`static String` | `FIELD_DEPENDENCY_ID_TRANSFORMATION`
`static String` | `FIELD_DEPENDENCY_TABLE_NAME`
`static String` | `FIELD_DIRECTORY_DIRECTORY_NAME`
`static String` | `FIELD_DIRECTORY_ID_DIRECTORY`
`static String` | `FIELD_DIRECTORY_ID_DIRECTORY_PARENT`
`static String` | `FIELD_JOB_ATTRIBUTE_CODE`
`static String` | `FIELD_JOB_ATTRIBUTE_ID_JOB`
`static String` | `FIELD_JOB_ATTRIBUTE_ID_JOB_ATTRIBUTE`
`static String` | `FIELD_JOB_ATTRIBUTE_NR`
`static String` | `FIELD_JOB_ATTRIBUTE_VALUE_NUM`
`static String` | `FIELD_JOB_ATTRIBUTE_VALUE_STR`
`static String` | `FIELD_JOB_CREATED_DATE`
`static String` | `FIELD_JOB_CREATED_USER`
`static String` | `FIELD_JOB_DESCRIPTION`
`static String` | `FIELD_JOB_EXTENDED_DESCRIPTION`
`static String` | `FIELD_JOB_HOP_ENABLED`
`static String` | `FIELD_JOB_HOP_EVALUATION`
`static String` | `FIELD_JOB_HOP_ID_JOB`
`static String` | `FIELD_JOB_HOP_ID_JOB_HOP`
`static String` | `FIELD_JOB_HOP_ID_JOBENTRY_COPY_FROM`
`static String` | `FIELD_JOB_HOP_ID_JOBENTRY_COPY_TO`
`static String` | `FIELD_JOB_HOP_UNCONDITIONAL`
`static String` | `FIELD_JOB_ID_DATABASE_LOG`
`static String` | `FIELD_JOB_ID_DIRECTORY`
`static String` | `FIELD_JOB_ID_JOB`
`static String` | `FIELD_JOB_JOB_STATUS`
`static String` | `FIELD_JOB_JOB_VERSION`
`static String` | `FIELD_JOB_MODIFIED_DATE`
`static String` | `FIELD_JOB_MODIFIED_USER`
`static String` | `FIELD_JOB_NAME`
`static String` | `FIELD_JOB_NOTE_ID_JOB`
`static String` | `FIELD_JOB_NOTE_ID_NOTE`
`static String` | `FIELD_JOB_PASS_BATCH_ID`
`static String` | `FIELD_JOB_SHARED_FILE`
`static String` | `FIELD_JOB_TABLE_NAME_LOG`
`static String` | `FIELD_JOB_USE_BATCH_ID`
`static String` | `FIELD_JOB_USE_LOGFIELD`
`static String` | `FIELD_JOBENTRY_ATTRIBUTE_CODE`
`static String` | `FIELD_JOBENTRY_ATTRIBUTE_ID_JOB`
`static String` | `FIELD_JOBENTRY_ATTRIBUTE_ID_JOBENTRY`
`static String` | `FIELD_JOBENTRY_ATTRIBUTE_ID_JOBENTRY_ATTRIBUTE`
`static String` | `FIELD_JOBENTRY_ATTRIBUTE_NR`
`static String` | `FIELD_JOBENTRY_ATTRIBUTE_VALUE_NUM`
`static String` | `FIELD_JOBENTRY_ATTRIBUTE_VALUE_STR`
`static String` | `FIELD_JOBENTRY_COPY_GUI_DRAW`
`static String` | `FIELD_JOBENTRY_COPY_GUI_LOCATION_X`
`static String` | `FIELD_JOBENTRY_COPY_GUI_LOCATION_Y`
`static String` | `FIELD_JOBENTRY_COPY_ID_JOB`
`static String` | `FIELD_JOBENTRY_COPY_ID_JOBENTRY`
`static String` | `FIELD_JOBENTRY_COPY_ID_JOBENTRY_COPY`
`static String` | `FIELD_JOBENTRY_COPY_ID_JOBENTRY_TYPE`
`static String` | `FIELD_JOBENTRY_COPY_NR`
`static String` | `FIELD_JOBENTRY_COPY_PARALLEL`
`static String` | `FIELD_JOBENTRY_DESCRIPTION`
`static String` | `FIELD_JOBENTRY_ID_JOB`
`static String` | `FIELD_JOBENTRY_ID_JOBENTRY`
`static String` | `FIELD_JOBENTRY_ID_JOBENTRY_TYPE`
`static String` | `FIELD_JOBENTRY_NAME`
`static String` | `FIELD_JOBENTRY_TYPE_CODE`
`static String` | `FIELD_JOBENTRY_TYPE_DESCRIPTION`
`static String` | `FIELD_JOBENTRY_TYPE_ID_JOBENTRY_TYPE`
`static String` | `FIELD_LOG_ADD_DATE`
`static String` | `FIELD_LOG_ADD_TIME`
`static String` | `FIELD_LOG_FILEEXTENTION`
`static String` | `FIELD_LOG_FILENAME`
`static String` | `FIELD_LOG_ID_DATABASE_LOG`
`static String` | `FIELD_LOG_ID_LOG`
`static String` | `FIELD_LOG_ID_LOGLEVEL`
`static String` | `FIELD_LOG_LOGTYPE`
`static String` | `FIELD_LOG_NAME`
`static String` | `FIELD_LOG_TABLE_NAME_LOG`
`static String` | `FIELD_LOGLEVEL_CODE`
`static String` | `FIELD_LOGLEVEL_DESCRIPTION`
`static String` | `FIELD_LOGLEVEL_ID_LOGLEVEL`
`static String` | `FIELD_NOTE_GUI_LOCATION_HEIGHT`
`static String` | `FIELD_NOTE_GUI_LOCATION_WIDTH`
`static String` | `FIELD_NOTE_GUI_LOCATION_X`
`static String` | `FIELD_NOTE_GUI_LOCATION_Y`
`static String` | `FIELD_NOTE_ID_NOTE`
`static String` | `FIELD_NOTE_VALUE_STR`
`static String` | `FIELD_PARTITION_ID_PARTITION`
`static String` | `FIELD_PARTITION_ID_PARTITION_SCHEMA`
`static String` | `FIELD_PARTITION_PARTITION_ID`
`static String` | `FIELD_PARTITION_SCHEMA_DYNAMIC_DEFINITION`
`static String` | `FIELD_PARTITION_SCHEMA_ID_PARTITION_SCHEMA`
`static String` | `FIELD_PARTITION_SCHEMA_NAME`
`static String` | `FIELD_PARTITION_SCHEMA_PARTITIONS_PER_SLAVE`
`static String` | `FIELD_PERMISSION_CODE`
`static String` | `FIELD_PERMISSION_DESCRIPTION`
`static String` | `FIELD_PERMISSION_ID_PERMISSION`
`static String` | `FIELD_PROFILE_DESCRIPTION`
`static String` | `FIELD_PROFILE_ID_PROFILE`
`static String` | `FIELD_PROFILE_NAME`
`static String` | `FIELD_PROFILE_PERMISSION_ID_PERMISSION`
`static String` | `FIELD_PROFILE_PERMISSION_ID_PROFILE`
`static String` | `FIELD_REPOSITORY_LOG_ID_REPOSITORY_LOG`
`static String` | `FIELD_REPOSITORY_LOG_LOG_DATE`
`static String` | `FIELD_REPOSITORY_LOG_LOG_USER`
`static String` | `FIELD_REPOSITORY_LOG_OPERATION_DESC`
`static String` | `FIELD_REPOSITORY_LOG_REP_VERSION`
`static String` | `FIELD_SLAVE_HOST_NAME`
`static String` | `FIELD_SLAVE_ID_SLAVE`
`static String` | `FIELD_SLAVE_MASTER`
`static String` | `FIELD_SLAVE_NAME`
`static String` | `FIELD_SLAVE_NON_PROXY_HOSTS`
`static String` | `FIELD_SLAVE_PASSWORD`
`static String` | `FIELD_SLAVE_PORT`
`static String` | `FIELD_SLAVE_PROXY_HOST_NAME`
`static String` | `FIELD_SLAVE_PROXY_PORT`
`static String` | `FIELD_SLAVE_USERNAME`
`static String` | `FIELD_STEP_ATTRIBUTE_CODE`
`static String` | `FIELD_STEP_ATTRIBUTE_ID_STEP`
`static String` | `FIELD_STEP_ATTRIBUTE_ID_STEP_ATTRIBUTE`
`static String` | `FIELD_STEP_ATTRIBUTE_ID_TRANSFORMATION`
`static String` | `FIELD_STEP_ATTRIBUTE_NR`
`static String` | `FIELD_STEP_ATTRIBUTE_VALUE_NUM`
`static String` | `FIELD_STEP_ATTRIBUTE_VALUE_STR`
`static String` | `FIELD_STEP_COPIES`
`static String` | `FIELD_STEP_DATABASE_ID_DATABASE`
`static String` | `FIELD_STEP_DATABASE_ID_STEP`
`static String` | `FIELD_STEP_DATABASE_ID_TRANSFORMATION`
`static String` | `FIELD_STEP_DESCRIPTION`
`static String` | `FIELD_STEP_DISTRIBUTE`
`static String` | `FIELD_STEP_GUI_DRAW`
`static String` | `FIELD_STEP_GUI_LOCATION_X`
`static String` | `FIELD_STEP_GUI_LOCATION_Y`
`static String` | `FIELD_STEP_ID_STEP`
`static String` | `FIELD_STEP_ID_STEP_TYPE`
`static String` | `FIELD_STEP_ID_TRANSFORMATION`
`static String` | `FIELD_STEP_NAME`
`static String` | `FIELD_STEP_TYPE_CODE`
`static String` | `FIELD_STEP_TYPE_DESCRIPTION`
`static String` | `FIELD_STEP_TYPE_HELPTEXT`
`static String` | `FIELD_STEP_TYPE_ID_STEP_TYPE`
`static String` | `FIELD_TRANS_ATTRIBUTE_CODE`
`static String` | `FIELD_TRANS_ATTRIBUTE_ID_TRANS_ATTRIBUTE`
`static String` | `FIELD_TRANS_ATTRIBUTE_ID_TRANSFORMATION`
`static String` | `FIELD_TRANS_ATTRIBUTE_NR`
`static String` | `FIELD_TRANS_ATTRIBUTE_VALUE_NUM`
`static String` | `FIELD_TRANS_ATTRIBUTE_VALUE_STR`
`static String` | `FIELD_TRANS_CLUSTER_ID_CLUSTER`
`static String` | `FIELD_TRANS_CLUSTER_ID_TRANS_CLUSTER`
`static String` | `FIELD_TRANS_CLUSTER_ID_TRANSFORMATION`
`static String` | `FIELD_TRANS_HOP_ENABLED`
`static String` | `FIELD_TRANS_HOP_ID_STEP_FROM`
`static String` | `FIELD_TRANS_HOP_ID_STEP_TO`
`static String` | `FIELD_TRANS_HOP_ID_TRANS_HOP`
`static String` | `FIELD_TRANS_HOP_ID_TRANSFORMATION`
`static String` | `FIELD_TRANS_NOTE_ID_NOTE`
`static String` | `FIELD_TRANS_NOTE_ID_TRANSFORMATION`
`static String` | `FIELD_TRANS_PARTITION_SCHEMA_ID_PARTITION_SCHEMA`
`static String` | `FIELD_TRANS_PARTITION_SCHEMA_ID_TRANS_PARTITION_SCHEMA`
`static String` | `FIELD_TRANS_PARTITION_SCHEMA_ID_TRANSFORMATION`
`static String` | `FIELD_TRANS_SLAVE_ID_SLAVE`
`static String` | `FIELD_TRANS_SLAVE_ID_TRANS_SLAVE`
`static String` | `FIELD_TRANS_SLAVE_ID_TRANSFORMATION`
`static String` | `FIELD_TRANS_STEP_CONDITION_ID_CONDITION`
`static String` | `FIELD_TRANS_STEP_CONDITION_ID_STEP`
`static String` | `FIELD_TRANS_STEP_CONDITION_ID_TRANSFORMATION`
`static String` | `FIELD_TRANSFORMATION_CREATED_DATE`
`static String` | `FIELD_TRANSFORMATION_CREATED_USER`
`static String` | `FIELD_TRANSFORMATION_DESCRIPTION`
`static String` | `FIELD_TRANSFORMATION_DIFF_MAXDATE`
`static String` | `FIELD_TRANSFORMATION_EXTENDED_DESCRIPTION`
`static String` | `FIELD_TRANSFORMATION_FIELD_NAME_MAXDATE`
`static String` | `FIELD_TRANSFORMATION_ID_DATABASE_LOG`
`static String` | `FIELD_TRANSFORMATION_ID_DATABASE_MAXDATE`
`static String` | `FIELD_TRANSFORMATION_ID_DIRECTORY`
`static String` | `FIELD_TRANSFORMATION_ID_STEP_INPUT`
`static String` | `FIELD_TRANSFORMATION_ID_STEP_OUTPUT`
`static String` | `FIELD_TRANSFORMATION_ID_STEP_READ`
`static String` | `FIELD_TRANSFORMATION_ID_STEP_UPDATE`
`static String` | `FIELD_TRANSFORMATION_ID_STEP_WRITE`
`static String` | `FIELD_TRANSFORMATION_ID_TRANSFORMATION`
`static String` | `FIELD_TRANSFORMATION_MODIFIED_DATE`
`static String` | `FIELD_TRANSFORMATION_MODIFIED_USER`
`static String` | `FIELD_TRANSFORMATION_NAME`
`static String` | `FIELD_TRANSFORMATION_OFFSET_MAXDATE`
`static String` | `FIELD_TRANSFORMATION_SIZE_ROWSET`
`static String` | `FIELD_TRANSFORMATION_TABLE_NAME_LOG`
`static String` | `FIELD_TRANSFORMATION_TABLE_NAME_MAXDATE`
`static String` | `FIELD_TRANSFORMATION_TRANS_STATUS`
`static String` | `FIELD_TRANSFORMATION_TRANS_VERSION`
`static String` | `FIELD_TRANSFORMATION_USE_BATCHID`
`static String` | `FIELD_TRANSFORMATION_USE_LOGFIELD`
`static String` | `FIELD_USER_DESCRIPTION`
`static String` | `FIELD_USER_ENABLED`
`static String` | `FIELD_USER_ID_PROFILE`
`static String` | `FIELD_USER_ID_USER`
`static String` | `FIELD_USER_LOGIN`
`static String` | `FIELD_USER_NAME`
`static String` | `FIELD_USER_PASSWORD`
`static String` | `FIELD_VALUE_ID_VALUE`
`static String` | `FIELD_VALUE_IS_NULL`
`static String` | `FIELD_VALUE_NAME`
`static String` | `FIELD_VALUE_VALUE_STR`
`static String` | `FIELD_VALUE_VALUE_TYPE`
`static String` | `FIELD_VERSION_ID_VERSION`
`static String` | `FIELD_VERSION_IS_UPGRADE`
`static String` | `FIELD_VERSION_MAJOR_VERSION`
`static String` | `FIELD_VERSION_MINOR_VERSION`
`static String` | `FIELD_VERSION_UPGRADE_DATE`
`static String` | `JOB_ATTRIBUTE_LOG_SIZE_LIMIT`
`static String` | `JOB_ATTRIBUTE_PARAM_DEFAULT`
`static String` | `JOB_ATTRIBUTE_PARAM_DESCRIPTION`
`static String` | `JOB_ATTRIBUTE_PARAM_KEY`
`org.pentaho.di.core.logging.LogWriter` | `log`
`static int` | `REP_STRING_CODE_LENGTH`
`static int` | `REP_STRING_LENGTH` The maximum length of a text field in a Kettle repository : 2.000.000 is enough for everyone ;-)
`static String[]` | `repositoryTableNames`
`static int` | `REQUIRED_MAJOR_VERSION`
`static int` | `REQUIRED_MINOR_VERSION`
`static String` | `TABLE_R_CLUSTER`
`static String` | `TABLE_R_CLUSTER_SLAVE`
`static String` | `TABLE_R_CONDITION`
`static String` | `TABLE_R_DATABASE`
`static String` | `TABLE_R_DATABASE_ATTRIBUTE`
`static String` | `TABLE_R_DATABASE_CONTYPE`
`static String` | `TABLE_R_DATABASE_TYPE`
`static String` | `TABLE_R_DEPENDENCY`
`static String` | `TABLE_R_DIRECTORY`
`static String` | `TABLE_R_JOB`
`static String` | `TABLE_R_JOB_ATTRIBUTE`
`static String` | `TABLE_R_JOB_HOP`
`static String` | `TABLE_R_JOB_NOTE`
`static String` | `TABLE_R_JOBENTRY`
`static String` | `TABLE_R_JOBENTRY_ATTRIBUTE`
`static String` | `TABLE_R_JOBENTRY_COPY`
`static String` | `TABLE_R_JOBENTRY_TYPE`
`static String` | `TABLE_R_LOG`
`static String` | `TABLE_R_LOGLEVEL`
`static String` | `TABLE_R_NOTE`
`static String` | `TABLE_R_PARTITION`
`static String` | `TABLE_R_PARTITION_SCHEMA`
`static String` | `TABLE_R_PERMISSION`
`static String` | `TABLE_R_PROFILE`
`static String` | `TABLE_R_PROFILE_PERMISSION`
`static String` | `TABLE_R_REPOSITORY_LOG`
`static String` | `TABLE_R_SLAVE`
`static String` | `TABLE_R_STEP`
`static String` | `TABLE_R_STEP_ATTRIBUTE`
`static String` | `TABLE_R_STEP_DATABASE`
`static String` | `TABLE_R_STEP_TYPE`
`static String` | `TABLE_R_TRANS_ATTRIBUTE`
`static String` | `TABLE_R_TRANS_CLUSTER`
`static String` | `TABLE_R_TRANS_HOP`
`static String` | `TABLE_R_TRANS_NOTE`
`static String` | `TABLE_R_TRANS_PARTITION_SCHEMA`
`static String` | `TABLE_R_TRANS_SLAVE`
`static String` | `TABLE_R_TRANS_STEP_CONDITION`
`static String` | `TABLE_R_TRANSFORMATION`
`static String` | `TABLE_R_USER`
`static String` | `TABLE_R_VALUE`
`static String` | `TABLE_R_VERSION`
`static String` | `TRANS_ATTRIBUTE_CAPTURE_STEP_PERFORMANCE`
`static String` | `TRANS_ATTRIBUTE_FEEDBACK_SHOWN`
`static String` | `TRANS_ATTRIBUTE_FEEDBACK_SIZE`
`static String` | `TRANS_ATTRIBUTE_ID_STEP_REJECTED`
`static String` | `TRANS_ATTRIBUTE_LOG_SIZE_LIMIT`
`static String` | `TRANS_ATTRIBUTE_PARAM_DEFAULT`
`static String` | `TRANS_ATTRIBUTE_PARAM_DESCRIPTION`
`static String` | `TRANS_ATTRIBUTE_PARAM_KEY`
`static String` | `TRANS_ATTRIBUTE_SHARED_FILE`
`static String` | `TRANS_ATTRIBUTE_STEP_PERFORMANCE_CAPTURING_DELAY`
`static String` | `TRANS_ATTRIBUTE_STEP_PERFORMANCE_LOG_TABLE`
`static String` | `TRANS_ATTRIBUTE_UNIQUE_CONNECTIONS`
`static String` | `TRANS_ATTRIBUTE_USING_THREAD_PRIORITIES`
`UserInfo` | `userinfo`

Constructor Summary
`Repository(org.pentaho.di.core.logging.LogWriter log, RepositoryMeta repinfo, UserInfo userinfo)`

Method Summary
`static String` | `byteArrayToString(byte[] val)` GZips and then base64 encodes an array of bytes to a String
`void` | `clearNextIDCounters()`
`void` | `closeJobAttributeLookupPreparedStatement()`
`void` | `closeLookupJobEntryAttribute()`
`void` | `closeStepAttributeInsertPreparedStatement()`
`void` | `closeStepAttributeLookupPreparedStatement()`
`void` | `closeTransAttributeInsertPreparedStatement()`
`void` | `closeTransAttributeLookupPreparedStatement()`
`void` | `commit()`
`boolean` | `connect(boolean no_lookup, boolean readDirectory, String locksource)`
`boolean` | `connect(boolean no_lookup, boolean readDirectory, String locksource, boolean ignoreVersion)`
`boolean` | `connect(String locksource)` Connect to the repository
`int` | `countJobParameter(long id_job)` Count the number of parameters of a job.
`int` | `countNrJobAttributes(long id_job, String code)`
`int` | `countNrJobEntryAttributes(long id_jobentry, String code)`
`int` | `countNrStepAttributes(long id_step, String code)`
`int` | `countNrTransAttributes(long id_transformation, String code)`
`int` | `countTransParameter(long id_transformation)` Count the number of parameters of a transaction.
`void` | `createRepositorySchema(org.pentaho.di.core.ProgressMonitorListener monitor, boolean upgrade, List<String> statements, boolean dryRun)` Create or upgrade repository tables & fields, populate lookup tables, ...
`void` | `delAllFromJob(long id_job)`
`void` | `delAllFromTrans(long id_transformation)`
`void` | `delClusterSchema(long id_cluster)`
`void` | `delClusterSlaves(long id_cluster)`
`void` | `delCondition(long id_condition)`
`void` | `delDatabase(long id_database)`
`void` | `delDatabaseAttributes(long id_database)`
`void` | `delDependencies(long id_transformation)`
`void` | `deleteDirectory(long id_directory)`
`void` | `delJob(long id_job)`
`void` | `delJobAttributes(long id_job)`
`void` | `delJobEntries(long id_job)`
`void` | `delJobEntryAttributes(long id_job)`
`void` | `delJobEntryCopies(long id_job)`
`void` | `delJobHops(long id_job)`
`void` | `delJobNotes(long id_job)`
`void` | `delPartitions(long id_partition_schema)`
`void` | `delPartitionSchema(long id_partition_schema)`
`void` | `delPartitionSchemas(long id_transformation)`
`void` | `delProfile(long id_profile)`
`void` | `delProfilePermissions(long id_profile)`
`void` | `delSlave(long id_slave)`
`void` | `delStepAttributes(long id_transformation)`
`void` | `delStepConditions(long id_transformation)`
`void` | `delStepDatabases(long id_transformation)` Delete the relationships between the transformation/steps and the databases.
`void` | `delSteps(long id_transformation)`
`void` | `delTrans(long id_transformation)`
`void` | `delTransAttributes(long id_transformation)`
`void` | `delTransformationClusters(long id_transformation)`
`void` | `delTransformationSlaves(long id_transformation)`
`void` | `delTransHops(long id_transformation)`
`void` | `delTransNotes(long id_transformation)`
`void` | `delTransStepCondition(long id_transformation)`
`void` | `delUser(long id_user)`
`void` | `delValue(long id_value)`
`void` | `disconnect()`
`boolean` | `dropRepositorySchema()`
`void` | `exportAllObjects(org.pentaho.di.core.ProgressMonitorListener monitor, String xmlFilename, RepositoryDirectory root, String exportType)`
`void` | `fillStepAttributesBuffer(long id_transformation)`
`long` | `findStepAttributeID(long id_step, int nr, String code)`
`long` | `getClusterID(String name)`
`long[]` | `getClusterIDs()`
`String[]` | `getClusterNames()`
`org.pentaho.di.core.RowMetaAndData` | `getClusterSchema(long id_cluster_schema)`
`String[]` | `getClustersUsingSlave(long id_slave)`
`org.pentaho.di.core.RowMetaAndData` | `getCondition(long id_condition)`
`long[]` | `getConditionIDs(long id_transformation)`
`static Repository` | `getCurrentRepository()` Deprecated. this is not thread safe
`org.pentaho.di.core.database.Database` | `getDatabase()`
`org.pentaho.di.core.RowMetaAndData` | `getDatabase(long id_database)`
`org.pentaho.di.core.RowMetaAndData` | `getDatabaseAttribute(long id_database_attribute)`
`long[]` | `getDatabaseAttributeIDs(long id_database)`
`Collection<org.pentaho.di.core.RowMetaAndData>` | `getDatabaseAttributes()`
`Collection<org.pentaho.di.core.RowMetaAndData>` | `getDatabaseAttributes(long id_database)`
`String` | `getDatabaseConTypeCode(long id_database_contype)`
`long` | `getDatabaseConTypeID(String code)`
`long` | `getDatabaseID(String name)`
`long[]` | `getDatabaseIDs()`
`long[]` | `getDatabaseIDs(long id_transformation)`
`org.pentaho.di.core.database.DatabaseMeta` | `getDatabaseMeta()`
`String[]` | `getDatabaseNames()`
`List<org.pentaho.di.core.database.DatabaseMeta>` | `getDatabases()`
`String` | `getDatabaseTypeCode(long id_database_type)`
`long` | `getDatabaseTypeID(String code)`
`long` | `getDependencyID(long id_transformation, long id_database, String tablename)`
`org.pentaho.di.core.RowMetaAndData` | `getDirectory(long id_directory)`
`String[]` | `getDirectoryNames(long id_directory)`
`RepositoryDirectory` | `getDirectoryTree()`
`RepositoryDirectory` | `getImportBaseDirectory()` The directory set during import to signal that job entries like Trans and Job need to point to job entries relative to this directory
`org.pentaho.di.core.RowMetaAndData` | `getJob(long id_job)`
`boolean` | `getJobAttributeBoolean(long id_job, int nr, String code)`
`long` | `getJobAttributeInteger(long id_job, int nr, String code)`
`double` | `getJobAttributeNumber(long id_job, int nr, String code)`
`org.pentaho.di.core.RowMetaAndData` | `getJobAttributeRow(long id_job, int nr, String code)`
`List<Object[]>` | `getJobAttributes(long id_job, String code, long nr)`
`String` | `getJobAttributeString(long id_job, int nr, String code)`
`org.pentaho.di.core.RowMetaAndData` | `getJobEntry(long id_jobentry)`
`boolean` | `getJobEntryAttributeBoolean(long id_jobentry, int nr, String code)`
`boolean` | `getJobEntryAttributeBoolean(long id_jobentry, int nr, String code, boolean def)`
`boolean` | `getJobEntryAttributeBoolean(long id_jobentry, String code)`
`boolean` | `getJobEntryAttributeBoolean(long id_jobentry, String code, boolean def)`
`long` | `getJobEntryAttributeInteger(long id_jobentry, int nr, String code)`
`long` | `getJobEntryAttributeInteger(long id_jobentry, String code)`
`double` | `getJobEntryAttributeNumber(long id_jobentry, int nr, String code)`
`double` | `getJobEntryAttributeNumber(long id_jobentry, String code)`
`String` | `getJobEntryAttributeString(long id_jobentry, int nr, String code)`
`String` | `getJobEntryAttributeString(long id_jobentry, String code)`
`org.pentaho.di.core.RowMetaAndData` | `getJobEntryCopy(long id_jobentry_copy)`
`long[]` | `getJobEntryCopyIDs(long id_job)`
`long[]` | `getJobEntryCopyIDs(long id_job, long id_jobentry)`
`long` | `getJobEntryID(String name, long id_job)`
`long[]` | `getJobEntryIDs(long id_job)`
`org.pentaho.di.core.RowMetaAndData` | `getJobEntryType(long id_jobentry_type)`
`long` | `getJobEntryTypeID(String code)`
`org.pentaho.di.core.RowMetaAndData` | `getJobHop(long id_job_hop)`
`long` | `getJobHopID(long id_job, long id_jobentry_copy_from, long id_jobentry_copy_to)`
`long[]` | `getJobHopIDs(long id_job)`
`long` | `getJobID(String name, long id_directory)`
`String[]` | `getJobNames()`
`String[]` | `getJobNames(long id_directory)`
`long[]` | `getJobNoteIDs(long id_job)`
`List<RepositoryObject>` | `getJobObjects(long id_directory)`
`String` | `getJobParameterDefault(long id_job, int nr)` Get a job parameter default.
`String` | `getJobParameterDescription(long id_job, int nr)` Get a job parameter description.
`String` | `getJobParameterKey(long id_job, int nr)` Get a job parameter key.
`String` | `getLocksource()`
`int` | `getMajorVersion()` Return the major repository version.
`int` | `getMinorVersion()` Return the minor repository version.
`String` | `getName()`
`long` | `getNextClusterID()`
`long` | `getNextClusterSlaveID()`
`long` | `getNextConditionID()`
`long` | `getNextDatabaseAttributeID()`
`long` | `getNextDatabaseConnectionTypeID()`
`long` | `getNextDatabaseID()`
`long` | `getNextDatabaseTypeID()`
`long` | `getNextDepencencyID()`
`long` | `getNextDirectoryID()`
`long` | `getNextID(String tableName, String fieldName)`
`long` | `getNextJobAttributeID()`
`long` | `getNextJobEntryAttributeID()`
`long` | `getNextJobEntryCopyID()`
`long` | `getNextJobEntryID()`
`long` | `getNextJobEntryTypeID()`
`long` | `getNextJobHopID()`
`long` | `getNextJobID()`
`long` | `getNextLogID()`
`long` | `getNextLoglevelID()`
`long` | `getNextNoteID()`
`long` | `getNextPartitionID()`
`long` | `getNextPartitionSchemaID()`
`long` | `getNextPermissionID()`
`long` | `getNextProfileID()`
`long` | `getNextSlaveServerID()`
`long` | `getNextStepAttributeID()`
`long` | `getNextStepID()`
`long` | `getNextStepTypeID()`
`long` | `getNextTransAttributeID()`
`long` | `getNextTransformationClusterID()`
`long` | `getNextTransformationID()`
`long` | `getNextTransformationPartitionSchemaID()`
`long` | `getNextTransformationSlaveID()`
`long` | `getNextTransHopID()`
`long` | `getNextUserID()`
`long` | `getNextValueID()`
`org.pentaho.di.core.RowMetaAndData` | `getNote(long id_note)`
`long` | `getNoteID(String note)`
`int` | `getNrConditions(long id_transforamtion)`
`int` | `getNrDatabaseAttributes(long id_database)`
`int` | `getNrDatabases()`
`int` | `getNrDatabases(long id_transforamtion)`
`int` | `getNrDirectories(long id_directory)`
`int` | `getNrJobEntries(long id_job)`
`int` | `getNrJobEntryCopies(long id_job)`
`int` | `getNrJobEntryCopies(long id_job, long id_jobentry)`
`int` | `getNrJobHops(long id_job)`
`int` | `getNrJobNotes(long id_job)`
`int` | `getNrJobs()`
`int` | `getNrJobs(long id_directory)`
`int` | `getNrPermissions(long id_profile)`
`int` | `getNrProfiles()`
`int` | `getNrStepAttributes(long id_step)`
`int` | `getNrStepDatabases(long id_database)`
`int` | `getNrSteps(long id_transformation)`
`int` | `getNrSubConditions(long id_condition)`
`int` | `getNrSubDirectories(long id_directory)`
`int` | `getNrTransDependencies(long id_transformation)`
`int` | `getNrTransformations(long id_directory)`
`int` | `getNrTransHops(long id_transformation)`
`int` | `getNrTransNotes(long id_transformation)`
`int` | `getNrUsers()`
`org.pentaho.di.core.RowMetaAndData` | `getPartition(long id_partition)`
`long[]` | `getPartitionIDs(long id_partition_schema)`
`org.pentaho.di.core.RowMetaAndData` | `getPartitionSchema(long id_partition_schema)`
`long` | `getPartitionSchemaID(String name)`
`long[]` | `getPartitionSchemaIDs()`
`String[]` | `getPartitionSchemaNames()`
`org.pentaho.di.core.RowMetaAndData` | `getPermission(long id_permission)`
`long` | `getPermissionID(String code)`
`long[]` | `getPermissionIDs(long id_profile)`
`org.pentaho.di.core.RowMetaAndData` | `getProfile(long id_profile)`
`long` | `getProfileID(String profilename)`
`String[]` | `getProfiles()`
`RepositoryMeta` | `getRepositoryInfo()`
`static String` | `getRequiredVersion()` Get the required repository version for this version of Kettle.
`long` | `getRootDirectoryID()`
`long` | `getSlaveID(String name)`
`long[]` | `getSlaveIDs()`
`long[]` | `getSlaveIDs(long id_cluster_schema)`
`String[]` | `getSlaveNames()`
`org.pentaho.di.core.RowMetaAndData` | `getSlaveServer(long id_slave)`
`List<SlaveServer>` | `getSlaveServers()`
`org.pentaho.di.core.RowMetaAndData` | `getStep(long id_step)`
`org.pentaho.di.core.RowMetaAndData` | `getStepAttribute(long id_step_attribute)`
`boolean` | `getStepAttributeBoolean(long id_step, int nr, String code)`
`boolean` | `getStepAttributeBoolean(long id_step, int nr, String code, boolean def)`
`boolean` | `getStepAttributeBoolean(long id_step, String code)`
`long` | `getStepAttributeInteger(long id_step, int nr, String code)`
`long` | `getStepAttributeInteger(long id_step, String code)`
`List<Object[]>` | `getStepAttributesBuffer()`
`org.pentaho.di.core.row.RowMetaInterface` | `getStepAttributesRowMeta()`
`String` | `getStepAttributeString(long id_step, int nr, String code)`
`String` | `getStepAttributeString(long id_step, String code)`
`org.pentaho.di.core.RowMetaAndData` | `getStepDatabase(long id_step)`
`long` | `getStepID(String name, long id_transformation)`
`long[]` | `getStepIDs(long id_transformation)`
`org.pentaho.di.core.RowMetaAndData` | `getStepType(long id_step_type)`
`String` | `getStepTypeCode(long id_database_type)`
`long` | `getStepTypeID(String code)`
`long[]` | `getSubConditionIDs(long id_condition)`
`long[]` | `getSubDirectoryIDs(long id_directory)`
`boolean` | `getTransAttributeBoolean(long id_transformation, int nr, String code)`
`long` | `getTransAttributeInteger(long id_transformation, int nr, String code)`
`double` | `getTransAttributeNumber(long id_transformation, int nr, String code)`
`org.pentaho.di.core.RowMetaAndData` | `getTransAttributeRow(long id_transformation, int nr, String code)`
`List<Object[]>` | `getTransAttributes(long id_transformation, String code, long nr)`
`String` | `getTransAttributeString(long id_transformation, int nr, String code)`
`org.pentaho.di.core.RowMetaAndData` | `getTransDependency(long id_dependency)`
`long[]` | `getTransDependencyIDs(long id_transformation)`
`org.pentaho.di.core.RowMetaAndData` | `getTransformation(long id_transformation)`
`long[]` | `getTransformationClusterSchemaIDs(long id_transformation)`
`long` | `getTransformationID(String name, long id_directory)`
`String[]` | `getTransformationNames(long id_directory)`
`List<RepositoryObject>` | `getTransformationObjects(long id_directory)`
`long[]` | `getTransformationPartitionSchemaIDs(long id_transformation)`
`String[]` | `getTransformationsUsingCluster(long id_cluster)`
`String[]` | `getTransformationsUsingDatabase(long id_database)`
`String[]` | `getTransformationsUsingPartitionSchema(long id_partition_schema)`
`String[]` | `getTransformationsUsingSlave(long id_slave)`
`org.pentaho.di.core.RowMetaAndData` | `getTransHop(long id_trans_hop)`
`long` | `getTransHopID(long id_transformation, long id_step_from, long id_step_to)`
`long[]` | `getTransHopIDs(long id_transformation)`
`long[]` | `getTransNoteIDs(long id_transformation)`
`String` | `getTransParameterDefault(long id_transformation, int nr)` Get a transformation parameter default.
`String` | `getTransParameterDescription(long id_transformation, int nr)` Get a transformation parameter description.
`String` | `getTransParameterKey(long id_transformation, int nr)` Get a transformation parameter key.
`org.pentaho.di.core.RowMetaAndData` | `getUser(long id_user)`
`long` | `getUserID(String login)`
`long[]` | `getUserIDs()`
`UserInfo` | `getUserInfo()`
`String[]` | `getUserLogins()`
`org.pentaho.di.core.RowMetaAndData` | `getValue(long id_value)`
`String` | `getVersion()` Get the repository version.
`long` | `insertCluster(ClusterSchema clusterSchema)`
`long` | `insertClusterSlave(ClusterSchema clusterSchema, SlaveServer slaveServer)`
`long` | `insertCondition(long id_condition_parent, Condition condition)`
`long` | `insertDatabase(String name, String type, String access, String host, String dbname, String port, String user, String pass, String servername, String data_tablespace, String index_tablespace)`
`long` | `insertDatabaseAttribute(long id_database, String code, String value_str)`
`long` | `insertDependency(long id_transformation, long id_database, String tablename, String fieldname)`
`long` | `insertDirectory(long id_directory_parent, RepositoryDirectory dir)`
`void` | `insertJob(JobMeta jobMeta)`
`long` | `insertJobAttribute(long id_job, long nr, String code, long value_num, String value_str)`
`long` | `insertJobEntry(long id_job, JobEntryBase jobEntryBase)`
`long` | `insertJobEntryAttribute(long id_job, long id_jobentry, long nr, String code, double value_num, String value_str)`
`long` | `insertJobEntryCopy(long id_job, long id_jobentry, long id_jobentry_type, int nr, long gui_location_x, long gui_location_y, boolean gui_draw, boolean parallel)`
`long` | `insertJobHop(long id_job, long id_jobentry_copy_from, long id_jobentry_copy_to, boolean enabled, boolean evaluation, boolean unconditional)`
`void` | `insertJobNote(long id_job, long id_note)`
`void` | `insertJobParameter(long id_job, long nr, String key, String defValue, String description)` Insert a parameter for a job in the repository.
`long` | `insertLogEntry(String description)`
`long` | `insertNote(String note, long gui_location_x, long gui_location_y, long gui_location_width, long gui_location_height)`
`long` | `insertPartition(long id_partition_schema, String partition_id)`
`long` | `insertPartitionSchema(PartitionSchema partitionSchema)`
`long` | `insertSlave(SlaveServer slaveServer)`
`long` | `insertStep(long id_transformation, String name, String description, String steptype, boolean distribute, long copies, long gui_location_x, long gui_location_y, boolean gui_draw)`
`long` | `insertStepAttribute(long id_transformation, long id_step, long nr, String code, double value_num, String value_str)`
`void` | `insertStepDatabase(long id_transformation, long id_step, long id_database)`
`void` | `insertTableRow(String tablename, org.pentaho.di.core.RowMetaAndData values)`
`long` | `insertTransAttribute(long id_transformation, long nr, String code, long value_num, String value_str)`
`void` | `insertTransformation(TransMeta transMeta)`
`long` | `insertTransformationCluster(long id_transformation, long id_cluster)`
`long` | `insertTransformationPartitionSchema(long id_transformation, long id_partition_schema)`
`long` | `insertTransformationSlave(long id_transformation, long id_slave)`
`long` | `insertTransHop(long id_transformation, long id_step_from, long id_step_to, boolean enabled)`
`void` | `insertTransNote(long id_transformation, long id_note)`
`void` | `insertTransParameter(long id_transformation, long nr, String key, String defValue, String description)` Insert a parameter for a transformation in the repository.
`void` | `insertTransStepCondition(long id_transformation, long id_step, long id_condition)`
`long` | `insertValue(String name, String type, String value_str, boolean isnull, long id_value_prev)`
`boolean` | `isUseBatchProcessing()`
`void` | `lockRepository()`
`long` | `lookupValue(String name, String type, String value_str, boolean isnull)`
`void` | `moveJob(String jobname, long id_directory_from, long id_directory_to)`
`void` | `moveTransformation(String transname, long id_directory_from, long id_directory_to)`
`String` | `quote(String identifier)`
`List<org.pentaho.di.core.database.DatabaseMeta>` | `readDatabases()` Read all the databases defined in the repository
`void` | `refreshRepositoryDirectoryTree()`
`void` | `renameDatabase(long id_database, String newname)`
`void` | `renameDirectory(long id_directory, String name)`
`void` | `renameJob(long id_job, String newname)`
`void` | `renameProfile(long id_profile, String newname)`
`void` | `renameTransformation(long id_transformation, String newname)`
`void` | `renameUser(long id_user, String newname)`
`void` | `rollback()`
`long` | `saveJobEntryAttribute(long id_job, long id_jobentry, long nr, String code, boolean value)`
`long` | `saveJobEntryAttribute(long id_job, long id_jobentry, long nr, String code, double value)`
`long` | `saveJobEntryAttribute(long id_job, long id_jobentry, long nr, String code, String value)`
`long` | `saveJobEntryAttribute(long id_job, long id_jobentry, String code, boolean value)`
`long` | `saveJobEntryAttribute(long id_job, long id_jobentry, String code, double value)`
`long` | `saveJobEntryAttribute(long id_job, long id_jobentry, String code, String value)`
`long` | `saveStepAttribute(long id_transformation, long id_step, long nr, String code, boolean value)`
`long` | `saveStepAttribute(long id_transformation, long id_step, long nr, String code, double value)`
`long` | `saveStepAttribute(long id_transformation, long id_step, long nr, String code, String value)`
`long` | `saveStepAttribute(long id_transformation, long id_step, String code, boolean value)`
`long` | `saveStepAttribute(long id_transformation, long id_step, String code, double value)`
`long` | `saveStepAttribute(long id_transformation, long id_step, String code, String value)`
`void` | `setAutoCommit(boolean autocommit)`
`static void` | `setCurrentRepository(Repository currentRepository)` Deprecated. this is not thread safe
`void` | `setDatabase(org.pentaho.di.core.database.Database database)`
`void` | `setDirectoryTree(RepositoryDirectory directoryTree)`
`void` | `setImportBaseDirectory(RepositoryDirectory importBaseDirectory)` Set this directory during import to signal that job entries like Trans and Job need to point to job entries relative to this directory.
`void` | `setLookupJobAttribute()`
`void` | `setLookupJobEntryAttribute()`
`void` | `setLookupStepAttribute()`
`void` | `setLookupTransAttribute()`
`void` | `setStepAttributesBuffer(List<Object[]> stepAttributesBuffer)`
`void` | `setStepAttributesRowMeta(org.pentaho.di.core.row.RowMetaInterface stepAttributesRowMeta)`
`void` | `setUseBatchProcessing(boolean useBatchProcessing)`
`void` | `setUserInfo(UserInfo userinfo)`
`String` | `toString()`
`void` | `unlockRepository()`
`void` | `updateDatabase(long id_database, String name, String type, String access, String host, String dbname, String port, String user, String pass, String servername, String data_tablespace, String index_tablespace)`
`void` | `updateJobEntryTypes()` Update the list in R_JOBENTRY_TYPE
`void` | `updatePartitionSchema(PartitionSchema partitionSchema)`
`void` | `updateSlave(SlaveServer slaveServer)`
`void` | `updateStepTypes()` Update the list in R_STEP_TYPE using the StepLoader StepPlugin entries
`void` | `updateTableRow(String tablename, String idfield, org.pentaho.di.core.RowMetaAndData values)`
`void` | `updateTableRow(String tablename, String idfield, org.pentaho.di.core.RowMetaAndData values, long id)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TABLE_R_VERSION

    public static final String TABLE_R_VERSION

See Also:
  Constant Field Values

### FIELD_VERSION_ID_VERSION

    public static final String FIELD_VERSION_ID_VERSION

See Also:
  Constant Field Values

### FIELD_VERSION_MAJOR_VERSION

    public static final String FIELD_VERSION_MAJOR_VERSION

See Also:
  Constant Field Values

### FIELD_VERSION_MINOR_VERSION

    public static final String FIELD_VERSION_MINOR_VERSION

See Also:
  Constant Field Values

### FIELD_VERSION_IS_UPGRADE

    public static final String FIELD_VERSION_IS_UPGRADE

See Also:
  Constant Field Values

### FIELD_VERSION_UPGRADE_DATE

    public static final String FIELD_VERSION_UPGRADE_DATE

See Also:
  Constant Field Values

### TABLE_R_REPOSITORY_LOG

    public static final String TABLE_R_REPOSITORY_LOG

See Also:
  Constant Field Values

### FIELD_REPOSITORY_LOG_ID_REPOSITORY_LOG

    public static final String FIELD_REPOSITORY_LOG_ID_REPOSITORY_LOG

See Also:
  Constant Field Values

### FIELD_REPOSITORY_LOG_REP_VERSION

    public static final String FIELD_REPOSITORY_LOG_REP_VERSION

See Also:
  Constant Field Values

### FIELD_REPOSITORY_LOG_LOG_DATE

    public static final String FIELD_REPOSITORY_LOG_LOG_DATE

See Also:
  Constant Field Values

### FIELD_REPOSITORY_LOG_LOG_USER

    public static final String FIELD_REPOSITORY_LOG_LOG_USER

See Also:
  Constant Field Values

### FIELD_REPOSITORY_LOG_OPERATION_DESC

    public static final String FIELD_REPOSITORY_LOG_OPERATION_DESC

See Also:
  Constant Field Values

### TABLE_R_DATABASE_TYPE

    public static final String TABLE_R_DATABASE_TYPE

See Also:
  Constant Field Values

### FIELD_DATABASE_TYPE_ID_DATABASE_TYPE

    public static final String FIELD_DATABASE_TYPE_ID_DATABASE_TYPE

See Also:
  Constant Field Values

### FIELD_DATABASE_TYPE_CODE

    public static final String FIELD_DATABASE_TYPE_CODE

See Also:
  Constant Field Values

### FIELD_DATABASE_TYPE_DESCRIPTION

    public static final String FIELD_DATABASE_TYPE_DESCRIPTION

See Also:
  Constant Field Values

### TABLE_R_DATABASE_CONTYPE

    public static final String TABLE_R_DATABASE_CONTYPE

See Also:
  Constant Field Values

### FIELD_DATABASE_CONTYPE_ID_DATABASE_CONTYPE

    public static final String FIELD_DATABASE_CONTYPE_ID_DATABASE_CONTYPE

See Also:
  Constant Field Values

### FIELD_DATABASE_CONTYPE_CODE

    public static final String FIELD_DATABASE_CONTYPE_CODE

See Also:
  Constant Field Values

### FIELD_DATABASE_CONTYPE_DESCRIPTION

    public static final String FIELD_DATABASE_CONTYPE_DESCRIPTION

See Also:
  Constant Field Values

### TABLE_R_DATABASE

    public static final String TABLE_R_DATABASE

See Also:
  Constant Field Values

### FIELD_DATABASE_ID_DATABASE

    public static final String FIELD_DATABASE_ID_DATABASE

See Also:
  Constant Field Values

### FIELD_DATABASE_NAME

    public static final String FIELD_DATABASE_NAME

See Also:
  Constant Field Values

### FIELD_DATABASE_ID_DATABASE_TYPE

    public static final String FIELD_DATABASE_ID_DATABASE_TYPE

See Also:
  Constant Field Values

### FIELD_DATABASE_ID_DATABASE_CONTYPE

    public static final String FIELD_DATABASE_ID_DATABASE_CONTYPE

See Also:
  Constant Field Values

### FIELD_DATABASE_HOST_NAME

    public static final String FIELD_DATABASE_HOST_NAME

See Also:
  Constant Field Values

### FIELD_DATABASE_DATABASE_NAME

    public static final String FIELD_DATABASE_DATABASE_NAME

See Also:
  Constant Field Values

### FIELD_DATABASE_PORT

    public static final String FIELD_DATABASE_PORT

See Also:
  Constant Field Values

### FIELD_DATABASE_USERNAME

    public static final String FIELD_DATABASE_USERNAME

See Also:
  Constant Field Values

### FIELD_DATABASE_DATA_TBS

    public static final String FIELD_DATABASE_DATA_TBS

See Also:
  Constant Field Values

### FIELD_DATABASE_PASSWORD

    public static final String FIELD_DATABASE_PASSWORD

See Also:
  Constant Field Values

### FIELD_DATABASE_SERVERNAME

    public static final String FIELD_DATABASE_SERVERNAME

See Also:
  Constant Field Values

### FIELD_DATABASE_INDEX_TBS

    public static final String FIELD_DATABASE_INDEX_TBS

See Also:
  Constant Field Values

### TABLE_R_DATABASE_ATTRIBUTE

    public static final String TABLE_R_DATABASE_ATTRIBUTE

See Also:
  Constant Field Values

### FIELD_DATABASE_ATTRIBUTE_ID_DATABASE_ATTRIBUTE

    public static final String FIELD_DATABASE_ATTRIBUTE_ID_DATABASE_ATTRIBUTE

See Also:
  Constant Field Values

### FIELD_DATABASE_ATTRIBUTE_ID_DATABASE

    public static final String FIELD_DATABASE_ATTRIBUTE_ID_DATABASE

See Also:
  Constant Field Values

### FIELD_DATABASE_ATTRIBUTE_CODE

    public static final String FIELD_DATABASE_ATTRIBUTE_CODE

See Also:
  Constant Field Values

### FIELD_DATABASE_ATTRIBUTE_VALUE_STR

    public static final String FIELD_DATABASE_ATTRIBUTE_VALUE_STR

See Also:
  Constant Field Values

### TABLE_R_NOTE

    public static final String TABLE_R_NOTE

See Also:
  Constant Field Values

### FIELD_NOTE_ID_NOTE

    public static final String FIELD_NOTE_ID_NOTE

See Also:
  Constant Field Values

### FIELD_NOTE_VALUE_STR

    public static final String FIELD_NOTE_VALUE_STR

See Also:
  Constant Field Values

### FIELD_NOTE_GUI_LOCATION_X

    public static final String FIELD_NOTE_GUI_LOCATION_X

See Also:
  Constant Field Values

### FIELD_NOTE_GUI_LOCATION_Y

    public static final String FIELD_NOTE_GUI_LOCATION_Y

See Also:
  Constant Field Values

### FIELD_NOTE_GUI_LOCATION_WIDTH

    public static final String FIELD_NOTE_GUI_LOCATION_WIDTH

See Also:
  Constant Field Values

### FIELD_NOTE_GUI_LOCATION_HEIGHT

    public static final String FIELD_NOTE_GUI_LOCATION_HEIGHT

See Also:
  Constant Field Values

### TABLE_R_TRANSFORMATION

    public static final String TABLE_R_TRANSFORMATION

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_ID_TRANSFORMATION

    public static final String FIELD_TRANSFORMATION_ID_TRANSFORMATION

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_ID_DIRECTORY

    public static final String FIELD_TRANSFORMATION_ID_DIRECTORY

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_NAME

    public static final String FIELD_TRANSFORMATION_NAME

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_DESCRIPTION

    public static final String FIELD_TRANSFORMATION_DESCRIPTION

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_EXTENDED_DESCRIPTION

    public static final String FIELD_TRANSFORMATION_EXTENDED_DESCRIPTION

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_TRANS_VERSION

    public static final String FIELD_TRANSFORMATION_TRANS_VERSION

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_TRANS_STATUS

    public static final String FIELD_TRANSFORMATION_TRANS_STATUS

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_ID_STEP_READ

    public static final String FIELD_TRANSFORMATION_ID_STEP_READ

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_ID_STEP_WRITE

    public static final String FIELD_TRANSFORMATION_ID_STEP_WRITE

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_ID_STEP_INPUT

    public static final String FIELD_TRANSFORMATION_ID_STEP_INPUT

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_ID_STEP_OUTPUT

    public static final String FIELD_TRANSFORMATION_ID_STEP_OUTPUT

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_ID_STEP_UPDATE

    public static final String FIELD_TRANSFORMATION_ID_STEP_UPDATE

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_ID_DATABASE_LOG

    public static final String FIELD_TRANSFORMATION_ID_DATABASE_LOG

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_TABLE_NAME_LOG

    public static final String FIELD_TRANSFORMATION_TABLE_NAME_LOG

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_USE_BATCHID

    public static final String FIELD_TRANSFORMATION_USE_BATCHID

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_USE_LOGFIELD

    public static final String FIELD_TRANSFORMATION_USE_LOGFIELD

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_ID_DATABASE_MAXDATE

    public static final String FIELD_TRANSFORMATION_ID_DATABASE_MAXDATE

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_TABLE_NAME_MAXDATE

    public static final String FIELD_TRANSFORMATION_TABLE_NAME_MAXDATE

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_FIELD_NAME_MAXDATE

    public static final String FIELD_TRANSFORMATION_FIELD_NAME_MAXDATE

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_OFFSET_MAXDATE

    public static final String FIELD_TRANSFORMATION_OFFSET_MAXDATE

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_DIFF_MAXDATE

    public static final String FIELD_TRANSFORMATION_DIFF_MAXDATE

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_CREATED_USER

    public static final String FIELD_TRANSFORMATION_CREATED_USER

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_CREATED_DATE

    public static final String FIELD_TRANSFORMATION_CREATED_DATE

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_MODIFIED_USER

    public static final String FIELD_TRANSFORMATION_MODIFIED_USER

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_MODIFIED_DATE

    public static final String FIELD_TRANSFORMATION_MODIFIED_DATE

See Also:
  Constant Field Values

### FIELD_TRANSFORMATION_SIZE_ROWSET

    public static final String FIELD_TRANSFORMATION_SIZE_ROWSET

See Also:
  Constant Field Values

### TABLE_R_DIRECTORY

    public static final String TABLE_R_DIRECTORY

See Also:
  Constant Field Values

### FIELD_DIRECTORY_ID_DIRECTORY

    public static final String FIELD_DIRECTORY_ID_DIRECTORY

See Also:
  Constant Field Values

### FIELD_DIRECTORY_ID_DIRECTORY_PARENT

    public static final String FIELD_DIRECTORY_ID_DIRECTORY_PARENT

See Also:
  Constant Field Values

### FIELD_DIRECTORY_DIRECTORY_NAME

    public static final String FIELD_DIRECTORY_DIRECTORY_NAME

See Also:
  Constant Field Values

### TABLE_R_TRANS_ATTRIBUTE

    public static final String TABLE_R_TRANS_ATTRIBUTE

See Also:
  Constant Field Values

### FIELD_TRANS_ATTRIBUTE_ID_TRANS_ATTRIBUTE

    public static final String FIELD_TRANS_ATTRIBUTE_ID_TRANS_ATTRIBUTE

See Also:
  Constant Field Values

### FIELD_TRANS_ATTRIBUTE_ID_TRANSFORMATION

    public static final String FIELD_TRANS_ATTRIBUTE_ID_TRANSFORMATION

See Also:
  Constant Field Values

### FIELD_TRANS_ATTRIBUTE_NR

    public static final String FIELD_TRANS_ATTRIBUTE_NR

See Also:
  Constant Field Values

### FIELD_TRANS_ATTRIBUTE_CODE

    public static final String FIELD_TRANS_ATTRIBUTE_CODE

See Also:
  Constant Field Values

### FIELD_TRANS_ATTRIBUTE_VALUE_NUM

    public static final String FIELD_TRANS_ATTRIBUTE_VALUE_NUM

See Also:
  Constant Field Values

### FIELD_TRANS_ATTRIBUTE_VALUE_STR

    public static final String FIELD_TRANS_ATTRIBUTE_VALUE_STR

See Also:
  Constant Field Values

### TABLE_R_JOB_ATTRIBUTE

    public static final String TABLE_R_JOB_ATTRIBUTE

See Also:
  Constant Field Values

### FIELD_JOB_ATTRIBUTE_ID_JOB_ATTRIBUTE

    public static final String FIELD_JOB_ATTRIBUTE_ID_JOB_ATTRIBUTE

See Also:
  Constant Field Values

### FIELD_JOB_ATTRIBUTE_ID_JOB

    public static final String FIELD_JOB_ATTRIBUTE_ID_JOB

See Also:
  Constant Field Values

### FIELD_JOB_ATTRIBUTE_NR

    public static final String FIELD_JOB_ATTRIBUTE_NR

See Also:
  Constant Field Values

### FIELD_JOB_ATTRIBUTE_CODE

    public static final String FIELD_JOB_ATTRIBUTE_CODE

See Also:
  Constant Field Values

### FIELD_JOB_ATTRIBUTE_VALUE_NUM

    public static final String FIELD_JOB_ATTRIBUTE_VALUE_NUM

See Also:
  Constant Field Values

### FIELD_JOB_ATTRIBUTE_VALUE_STR

    public static final String FIELD_JOB_ATTRIBUTE_VALUE_STR

See Also:
  Constant Field Values

### TABLE_R_DEPENDENCY

    public static final String TABLE_R_DEPENDENCY

See Also:
  Constant Field Values

### FIELD_DEPENDENCY_ID_DEPENDENCY

    public static final String FIELD_DEPENDENCY_ID_DEPENDENCY

See Also:
  Constant Field Values

### FIELD_DEPENDENCY_ID_TRANSFORMATION

    public static final String FIELD_DEPENDENCY_ID_TRANSFORMATION

See Also:
  Constant Field Values

### FIELD_DEPENDENCY_ID_DATABASE

    public static final String FIELD_DEPENDENCY_ID_DATABASE

See Also:
  Constant Field Values

### FIELD_DEPENDENCY_TABLE_NAME

    public static final String FIELD_DEPENDENCY_TABLE_NAME

See Also:
  Constant Field Values

### FIELD_DEPENDENCY_FIELD_NAME

    public static final String FIELD_DEPENDENCY_FIELD_NAME

See Also:
  Constant Field Values

### TABLE_R_TRANS_STEP_CONDITION

    public static final String TABLE_R_TRANS_STEP_CONDITION

See Also:
  Constant Field Values

### FIELD_TRANS_STEP_CONDITION_ID_TRANSFORMATION

    public static final String FIELD_TRANS_STEP_CONDITION_ID_TRANSFORMATION

See Also:
  Constant Field Values

### FIELD_TRANS_STEP_CONDITION_ID_STEP

    public static final String FIELD_TRANS_STEP_CONDITION_ID_STEP

See Also:
  Constant Field Values

### FIELD_TRANS_STEP_CONDITION_ID_CONDITION

    public static final String FIELD_TRANS_STEP_CONDITION_ID_CONDITION

See Also:
  Constant Field Values

### TABLE_R_CONDITION

    public static final String TABLE_R_CONDITION

See Also:
  Constant Field Values

### FIELD_CONDITION_ID_CONDITION

    public static final String FIELD_CONDITION_ID_CONDITION

See Also:
  Constant Field Values

### FIELD_CONDITION_ID_CONDITION_PARENT

    public static final String FIELD_CONDITION_ID_CONDITION_PARENT

See Also:
  Constant Field Values

### FIELD_CONDITION_NEGATED

    public static final String FIELD_CONDITION_NEGATED

See Also:
  Constant Field Values

### FIELD_CONDITION_OPERATOR

    public static final String FIELD_CONDITION_OPERATOR

See Also:
  Constant Field Values

### FIELD_CONDITION_LEFT_NAME

    public static final String FIELD_CONDITION_LEFT_NAME

See Also:
  Constant Field Values

### FIELD_CONDITION_CONDITION_FUNCTION

    public static final String FIELD_CONDITION_CONDITION_FUNCTION

See Also:
  Constant Field Values

### FIELD_CONDITION_RIGHT_NAME

    public static final String FIELD_CONDITION_RIGHT_NAME

See Also:
  Constant Field Values

### FIELD_CONDITION_ID_VALUE_RIGHT

    public static final String FIELD_CONDITION_ID_VALUE_RIGHT

See Also:
  Constant Field Values

### TABLE_R_VALUE

    public static final String TABLE_R_VALUE

See Also:
  Constant Field Values

### FIELD_VALUE_ID_VALUE

    public static final String FIELD_VALUE_ID_VALUE

See Also:
  Constant Field Values

### FIELD_VALUE_NAME

    public static final String FIELD_VALUE_NAME

See Also:
  Constant Field Values

### FIELD_VALUE_VALUE_TYPE

    public static final String FIELD_VALUE_VALUE_TYPE

See Also:
  Constant Field Values

### FIELD_VALUE_VALUE_STR

    public static final String FIELD_VALUE_VALUE_STR

See Also:
  Constant Field Values

### FIELD_VALUE_IS_NULL

    public static final String FIELD_VALUE_IS_NULL

See Also:
  Constant Field Values

### TABLE_R_TRANS_HOP

    public static final String TABLE_R_TRANS_HOP

See Also:
  Constant Field Values

### FIELD_TRANS_HOP_ID_TRANS_HOP

    public static final String FIELD_TRANS_HOP_ID_TRANS_HOP

See Also:
  Constant Field Values

### FIELD_TRANS_HOP_ID_TRANSFORMATION

    public static final String FIELD_TRANS_HOP_ID_TRANSFORMATION

See Also:
  Constant Field Values

### FIELD_TRANS_HOP_ID_STEP_FROM

    public static final String FIELD_TRANS_HOP_ID_STEP_FROM

See Also:
  Constant Field Values

### FIELD_TRANS_HOP_ID_STEP_TO

    public static final String FIELD_TRANS_HOP_ID_STEP_TO

See Also:
  Constant Field Values

### FIELD_TRANS_HOP_ENABLED

    public static final String FIELD_TRANS_HOP_ENABLED

See Also:
  Constant Field Values

### TABLE_R_STEP_TYPE

    public static final String TABLE_R_STEP_TYPE

See Also:
  Constant Field Values

### FIELD_STEP_TYPE_ID_STEP_TYPE

    public static final String FIELD_STEP_TYPE_ID_STEP_TYPE

See Also:
  Constant Field Values

### FIELD_STEP_TYPE_CODE

    public static final String FIELD_STEP_TYPE_CODE

See Also:
  Constant Field Values

### FIELD_STEP_TYPE_DESCRIPTION

    public static final String FIELD_STEP_TYPE_DESCRIPTION

See Also:
  Constant Field Values

### FIELD_STEP_TYPE_HELPTEXT

    public static final String FIELD_STEP_TYPE_HELPTEXT

See Also:
  Constant Field Values

### TABLE_R_STEP

    public static final String TABLE_R_STEP

See Also:
  Constant Field Values

### FIELD_STEP_ID_STEP

    public static final String FIELD_STEP_ID_STEP

See Also:
  Constant Field Values

### FIELD_STEP_ID_TRANSFORMATION

    public static final String FIELD_STEP_ID_TRANSFORMATION

See Also:
  Constant Field Values

### FIELD_STEP_NAME

    public static final String FIELD_STEP_NAME

See Also:
  Constant Field Values

### FIELD_STEP_DESCRIPTION

    public static final String FIELD_STEP_DESCRIPTION

See Also:
  Constant Field Values

### FIELD_STEP_ID_STEP_TYPE

    public static final String FIELD_STEP_ID_STEP_TYPE

See Also:
  Constant Field Values

### FIELD_STEP_DISTRIBUTE

    public static final String FIELD_STEP_DISTRIBUTE

See Also:
  Constant Field Values

### FIELD_STEP_COPIES

    public static final String FIELD_STEP_COPIES

See Also:
  Constant Field Values

### FIELD_STEP_GUI_LOCATION_X

    public static final String FIELD_STEP_GUI_LOCATION_X

See Also:
  Constant Field Values

### FIELD_STEP_GUI_LOCATION_Y

    public static final String FIELD_STEP_GUI_LOCATION_Y

See Also:
  Constant Field Values

### FIELD_STEP_GUI_DRAW

    public static final String FIELD_STEP_GUI_DRAW

See Also:
  Constant Field Values

### TABLE_R_STEP_ATTRIBUTE

    public static final String TABLE_R_STEP_ATTRIBUTE

See Also:
  Constant Field Values

### FIELD_STEP_ATTRIBUTE_ID_STEP_ATTRIBUTE

    public static final String FIELD_STEP_ATTRIBUTE_ID_STEP_ATTRIBUTE

See Also:
  Constant Field Values

### FIELD_STEP_ATTRIBUTE_ID_TRANSFORMATION

    public static final String FIELD_STEP_ATTRIBUTE_ID_TRANSFORMATION

See Also:
  Constant Field Values

### FIELD_STEP_ATTRIBUTE_ID_STEP

    public static final String FIELD_STEP_ATTRIBUTE_ID_STEP

See Also:
  Constant Field Values

### FIELD_STEP_ATTRIBUTE_CODE

    public static final String FIELD_STEP_ATTRIBUTE_CODE

See Also:
  Constant Field Values

### FIELD_STEP_ATTRIBUTE_NR

    public static final String FIELD_STEP_ATTRIBUTE_NR

See Also:
  Constant Field Values

### FIELD_STEP_ATTRIBUTE_VALUE_NUM

    public static final String FIELD_STEP_ATTRIBUTE_VALUE_NUM

See Also:
  Constant Field Values

### FIELD_STEP_ATTRIBUTE_VALUE_STR

    public static final String FIELD_STEP_ATTRIBUTE_VALUE_STR

See Also:
  Constant Field Values

### TABLE_R_TRANS_NOTE

    public static final String TABLE_R_TRANS_NOTE

See Also:
  Constant Field Values

### FIELD_TRANS_NOTE_ID_TRANSFORMATION

    public static final String FIELD_TRANS_NOTE_ID_TRANSFORMATION

See Also:
  Constant Field Values

### FIELD_TRANS_NOTE_ID_NOTE

    public static final String FIELD_TRANS_NOTE_ID_NOTE

See Also:
  Constant Field Values

### TABLE_R_JOB

    public static final String TABLE_R_JOB

See Also:
  Constant Field Values

### FIELD_JOB_ID_JOB

    public static final String FIELD_JOB_ID_JOB

See Also:
  Constant Field Values

### FIELD_JOB_ID_DIRECTORY

    public static final String FIELD_JOB_ID_DIRECTORY

See Also:
  Constant Field Values

### FIELD_JOB_NAME

    public static final String FIELD_JOB_NAME

See Also:
  Constant Field Values

### FIELD_JOB_DESCRIPTION

    public static final String FIELD_JOB_DESCRIPTION

See Also:
  Constant Field Values

### FIELD_JOB_EXTENDED_DESCRIPTION

    public static final String FIELD_JOB_EXTENDED_DESCRIPTION

See Also:
  Constant Field Values

### FIELD_JOB_JOB_VERSION

    public static final String FIELD_JOB_JOB_VERSION

See Also:
  Constant Field Values

### FIELD_JOB_JOB_STATUS

    public static final String FIELD_JOB_JOB_STATUS

See Also:
  Constant Field Values

### FIELD_JOB_ID_DATABASE_LOG

    public static final String FIELD_JOB_ID_DATABASE_LOG

See Also:
  Constant Field Values

### FIELD_JOB_TABLE_NAME_LOG

    public static final String FIELD_JOB_TABLE_NAME_LOG

See Also:
  Constant Field Values

### FIELD_JOB_CREATED_USER

    public static final String FIELD_JOB_CREATED_USER

See Also:
  Constant Field Values

### FIELD_JOB_CREATED_DATE

    public static final String FIELD_JOB_CREATED_DATE

See Also:
  Constant Field Values

### FIELD_JOB_MODIFIED_USER

    public static final String FIELD_JOB_MODIFIED_USER

See Also:
  Constant Field Values

### FIELD_JOB_MODIFIED_DATE

    public static final String FIELD_JOB_MODIFIED_DATE

See Also:
  Constant Field Values

### FIELD_JOB_USE_BATCH_ID

    public static final String FIELD_JOB_USE_BATCH_ID

See Also:
  Constant Field Values

### FIELD_JOB_PASS_BATCH_ID

    public static final String FIELD_JOB_PASS_BATCH_ID

See Also:
  Constant Field Values

### FIELD_JOB_USE_LOGFIELD

    public static final String FIELD_JOB_USE_LOGFIELD

See Also:
  Constant Field Values

### FIELD_JOB_SHARED_FILE

    public static final String FIELD_JOB_SHARED_FILE

See Also:
  Constant Field Values

### TABLE_R_LOGLEVEL

    public static final String TABLE_R_LOGLEVEL

See Also:
  Constant Field Values

### FIELD_LOGLEVEL_ID_LOGLEVEL

    public static final String FIELD_LOGLEVEL_ID_LOGLEVEL

See Also:
  Constant Field Values

### FIELD_LOGLEVEL_CODE

    public static final String FIELD_LOGLEVEL_CODE

See Also:
  Constant Field Values

### FIELD_LOGLEVEL_DESCRIPTION

    public static final String FIELD_LOGLEVEL_DESCRIPTION

See Also:
  Constant Field Values

### TABLE_R_LOG

    public static final String TABLE_R_LOG

See Also:
  Constant Field Values

### FIELD_LOG_ID_LOG

    public static final String FIELD_LOG_ID_LOG

See Also:
  Constant Field Values

### FIELD_LOG_NAME

    public static final String FIELD_LOG_NAME

See Also:
  Constant Field Values

### FIELD_LOG_ID_LOGLEVEL

    public static final String FIELD_LOG_ID_LOGLEVEL

See Also:
  Constant Field Values

### FIELD_LOG_LOGTYPE

    public static final String FIELD_LOG_LOGTYPE

See Also:
  Constant Field Values

### FIELD_LOG_FILENAME

    public static final String FIELD_LOG_FILENAME

See Also:
  Constant Field Values

### FIELD_LOG_FILEEXTENTION

    public static final String FIELD_LOG_FILEEXTENTION

See Also:
  Constant Field Values

### FIELD_LOG_ADD_DATE

    public static final String FIELD_LOG_ADD_DATE

See Also:
  Constant Field Values

### FIELD_LOG_ADD_TIME

    public static final String FIELD_LOG_ADD_TIME

See Also:
  Constant Field Values

### FIELD_LOG_ID_DATABASE_LOG

    public static final String FIELD_LOG_ID_DATABASE_LOG

See Also:
  Constant Field Values

### FIELD_LOG_TABLE_NAME_LOG

    public static final String FIELD_LOG_TABLE_NAME_LOG

See Also:
  Constant Field Values

### TABLE_R_JOBENTRY

    public static final String TABLE_R_JOBENTRY

See Also:
  Constant Field Values

### FIELD_JOBENTRY_ID_JOBENTRY

    public static final String FIELD_JOBENTRY_ID_JOBENTRY

See Also:
  Constant Field Values

### FIELD_JOBENTRY_ID_JOB

    public static final String FIELD_JOBENTRY_ID_JOB

See Also:
  Constant Field Values

### FIELD_JOBENTRY_ID_JOBENTRY_TYPE

    public static final String FIELD_JOBENTRY_ID_JOBENTRY_TYPE

See Also:
  Constant Field Values

### FIELD_JOBENTRY_NAME

    public static final String FIELD_JOBENTRY_NAME

See Also:
  Constant Field Values

### FIELD_JOBENTRY_DESCRIPTION

    public static final String FIELD_JOBENTRY_DESCRIPTION

See Also:
  Constant Field Values

### TABLE_R_JOBENTRY_COPY

    public static final String TABLE_R_JOBENTRY_COPY

See Also:
  Constant Field Values

### FIELD_JOBENTRY_COPY_ID_JOBENTRY_COPY

    public static final String FIELD_JOBENTRY_COPY_ID_JOBENTRY_COPY

See Also:
  Constant Field Values

### FIELD_JOBENTRY_COPY_ID_JOBENTRY

    public static final String FIELD_JOBENTRY_COPY_ID_JOBENTRY

See Also:
  Constant Field Values

### FIELD_JOBENTRY_COPY_ID_JOB

    public static final String FIELD_JOBENTRY_COPY_ID_JOB

See Also:
  Constant Field Values

### FIELD_JOBENTRY_COPY_ID_JOBENTRY_TYPE

    public static final String FIELD_JOBENTRY_COPY_ID_JOBENTRY_TYPE

See Also:
  Constant Field Values

### FIELD_JOBENTRY_COPY_NR

    public static final String FIELD_JOBENTRY_COPY_NR

See Also:
  Constant Field Values

### FIELD_JOBENTRY_COPY_GUI_LOCATION_X

    public static final String FIELD_JOBENTRY_COPY_GUI_LOCATION_X

See Also:
  Constant Field Values

### FIELD_JOBENTRY_COPY_GUI_LOCATION_Y

    public static final String FIELD_JOBENTRY_COPY_GUI_LOCATION_Y

See Also:
  Constant Field Values

### FIELD_JOBENTRY_COPY_GUI_DRAW

    public static final String FIELD_JOBENTRY_COPY_GUI_DRAW

See Also:
  Constant Field Values

### FIELD_JOBENTRY_COPY_PARALLEL

    public static final String FIELD_JOBENTRY_COPY_PARALLEL

See Also:
  Constant Field Values

### TABLE_R_JOBENTRY_TYPE

    public static final String TABLE_R_JOBENTRY_TYPE

See Also:
  Constant Field Values

### FIELD_JOBENTRY_TYPE_ID_JOBENTRY_TYPE

    public static final String FIELD_JOBENTRY_TYPE_ID_JOBENTRY_TYPE

See Also:
  Constant Field Values

### FIELD_JOBENTRY_TYPE_CODE

    public static final String FIELD_JOBENTRY_TYPE_CODE

See Also:
  Constant Field Values

### FIELD_JOBENTRY_TYPE_DESCRIPTION

    public static final String FIELD_JOBENTRY_TYPE_DESCRIPTION

See Also:
  Constant Field Values

### TABLE_R_JOBENTRY_ATTRIBUTE

    public static final String TABLE_R_JOBENTRY_ATTRIBUTE

See Also:
  Constant Field Values

### FIELD_JOBENTRY_ATTRIBUTE_ID_JOBENTRY_ATTRIBUTE

    public static final String FIELD_JOBENTRY_ATTRIBUTE_ID_JOBENTRY_ATTRIBUTE

See Also:
  Constant Field Values

### FIELD_JOBENTRY_ATTRIBUTE_ID_JOB

    public static final String FIELD_JOBENTRY_ATTRIBUTE_ID_JOB

See Also:
  Constant Field Values

### FIELD_JOBENTRY_ATTRIBUTE_ID_JOBENTRY

    public static final String FIELD_JOBENTRY_ATTRIBUTE_ID_JOBENTRY

See Also:
  Constant Field Values

### FIELD_JOBENTRY_ATTRIBUTE_NR

    public static final String FIELD_JOBENTRY_ATTRIBUTE_NR

See Also:
  Constant Field Values

### FIELD_JOBENTRY_ATTRIBUTE_CODE

    public static final String FIELD_JOBENTRY_ATTRIBUTE_CODE

See Also:
  Constant Field Values

### FIELD_JOBENTRY_ATTRIBUTE_VALUE_NUM

    public static final String FIELD_JOBENTRY_ATTRIBUTE_VALUE_NUM

See Also:
  Constant Field Values

### FIELD_JOBENTRY_ATTRIBUTE_VALUE_STR

    public static final String FIELD_JOBENTRY_ATTRIBUTE_VALUE_STR

See Also:
  Constant Field Values

### TABLE_R_JOB_HOP

    public static final String TABLE_R_JOB_HOP

See Also:
  Constant Field Values

### FIELD_JOB_HOP_ID_JOB_HOP

    public static final String FIELD_JOB_HOP_ID_JOB_HOP

See Also:
  Constant Field Values

### FIELD_JOB_HOP_ID_JOB

    public static final String FIELD_JOB_HOP_ID_JOB

See Also:
  Constant Field Values

### FIELD_JOB_HOP_ID_JOBENTRY_COPY_FROM

    public static final String FIELD_JOB_HOP_ID_JOBENTRY_COPY_FROM

See Also:
  Constant Field Values

### FIELD_JOB_HOP_ID_JOBENTRY_COPY_TO

    public static final String FIELD_JOB_HOP_ID_JOBENTRY_COPY_TO

See Also:
  Constant Field Values

### FIELD_JOB_HOP_ENABLED

    public static final String FIELD_JOB_HOP_ENABLED

See Also:
  Constant Field Values

### FIELD_JOB_HOP_EVALUATION

    public static final String FIELD_JOB_HOP_EVALUATION

See Also:
  Constant Field Values

### FIELD_JOB_HOP_UNCONDITIONAL

    public static final String FIELD_JOB_HOP_UNCONDITIONAL

See Also:
  Constant Field Values

### TABLE_R_JOB_NOTE

    public static final String TABLE_R_JOB_NOTE

See Also:
  Constant Field Values

### FIELD_JOB_NOTE_ID_JOB

    public static final String FIELD_JOB_NOTE_ID_JOB

See Also:
  Constant Field Values

### FIELD_JOB_NOTE_ID_NOTE

    public static final String FIELD_JOB_NOTE_ID_NOTE

See Also:
  Constant Field Values

### TABLE_R_PROFILE

    public static final String TABLE_R_PROFILE

See Also:
  Constant Field Values

### FIELD_PROFILE_ID_PROFILE

    public static final String FIELD_PROFILE_ID_PROFILE

See Also:
  Constant Field Values

### FIELD_PROFILE_NAME

    public static final String FIELD_PROFILE_NAME

See Also:
  Constant Field Values

### FIELD_PROFILE_DESCRIPTION

    public static final String FIELD_PROFILE_DESCRIPTION

See Also:
  Constant Field Values

### TABLE_R_USER

    public static final String TABLE_R_USER

See Also:
  Constant Field Values

### FIELD_USER_ID_USER

    public static final String FIELD_USER_ID_USER

See Also:
  Constant Field Values

### FIELD_USER_ID_PROFILE

    public static final String FIELD_USER_ID_PROFILE

See Also:
  Constant Field Values

### FIELD_USER_LOGIN

    public static final String FIELD_USER_LOGIN

See Also:
  Constant Field Values

### FIELD_USER_PASSWORD

    public static final String FIELD_USER_PASSWORD

See Also:
  Constant Field Values

### FIELD_USER_NAME

    public static final String FIELD_USER_NAME

See Also:
  Constant Field Values

### FIELD_USER_DESCRIPTION

    public static final String FIELD_USER_DESCRIPTION

See Also:
  Constant Field Values

### FIELD_USER_ENABLED

    public static final String FIELD_USER_ENABLED

See Also:
  Constant Field Values

### TABLE_R_PERMISSION

    public static final String TABLE_R_PERMISSION

See Also:
  Constant Field Values

### FIELD_PERMISSION_ID_PERMISSION

    public static final String FIELD_PERMISSION_ID_PERMISSION

See Also:
  Constant Field Values

### FIELD_PERMISSION_CODE

    public static final String FIELD_PERMISSION_CODE

See Also:
  Constant Field Values

### FIELD_PERMISSION_DESCRIPTION

    public static final String FIELD_PERMISSION_DESCRIPTION

See Also:
  Constant Field Values

### TABLE_R_PROFILE_PERMISSION

    public static final String TABLE_R_PROFILE_PERMISSION

See Also:
  Constant Field Values

### FIELD_PROFILE_PERMISSION_ID_PROFILE

    public static final String FIELD_PROFILE_PERMISSION_ID_PROFILE

See Also:
  Constant Field Values

### FIELD_PROFILE_PERMISSION_ID_PERMISSION

    public static final String FIELD_PROFILE_PERMISSION_ID_PERMISSION

See Also:
  Constant Field Values

### TABLE_R_STEP_DATABASE

    public static final String TABLE_R_STEP_DATABASE

See Also:
  Constant Field Values

### FIELD_STEP_DATABASE_ID_TRANSFORMATION

    public static final String FIELD_STEP_DATABASE_ID_TRANSFORMATION

See Also:
  Constant Field Values

### FIELD_STEP_DATABASE_ID_STEP

    public static final String FIELD_STEP_DATABASE_ID_STEP

See Also:
  Constant Field Values

### FIELD_STEP_DATABASE_ID_DATABASE

    public static final String FIELD_STEP_DATABASE_ID_DATABASE

See Also:
  Constant Field Values

### TABLE_R_PARTITION_SCHEMA

    public static final String TABLE_R_PARTITION_SCHEMA

See Also:
  Constant Field Values

### FIELD_PARTITION_SCHEMA_ID_PARTITION_SCHEMA

    public static final String FIELD_PARTITION_SCHEMA_ID_PARTITION_SCHEMA

See Also:
  Constant Field Values

### FIELD_PARTITION_SCHEMA_NAME

    public static final String FIELD_PARTITION_SCHEMA_NAME

See Also:
  Constant Field Values

### FIELD_PARTITION_SCHEMA_DYNAMIC_DEFINITION

    public static final String FIELD_PARTITION_SCHEMA_DYNAMIC_DEFINITION

See Also:
  Constant Field Values

### FIELD_PARTITION_SCHEMA_PARTITIONS_PER_SLAVE

    public static final String FIELD_PARTITION_SCHEMA_PARTITIONS_PER_SLAVE

See Also:
  Constant Field Values

### TABLE_R_PARTITION

    public static final String TABLE_R_PARTITION

See Also:
  Constant Field Values

### FIELD_PARTITION_ID_PARTITION

    public static final String FIELD_PARTITION_ID_PARTITION

See Also:
  Constant Field Values

### FIELD_PARTITION_ID_PARTITION_SCHEMA

    public static final String FIELD_PARTITION_ID_PARTITION_SCHEMA

See Also:
  Constant Field Values

### FIELD_PARTITION_PARTITION_ID

    public static final String FIELD_PARTITION_PARTITION_ID

See Also:
  Constant Field Values

### TABLE_R_TRANS_PARTITION_SCHEMA

    public static final String TABLE_R_TRANS_PARTITION_SCHEMA

See Also:
  Constant Field Values

### FIELD_TRANS_PARTITION_SCHEMA_ID_TRANS_PARTITION_SCHEMA

    public static final String FIELD_TRANS_PARTITION_SCHEMA_ID_TRANS_PARTITION_SCHEMA

See Also:
  Constant Field Values

### FIELD_TRANS_PARTITION_SCHEMA_ID_TRANSFORMATION

    public static final String FIELD_TRANS_PARTITION_SCHEMA_ID_TRANSFORMATION

See Also:
  Constant Field Values

### FIELD_TRANS_PARTITION_SCHEMA_ID_PARTITION_SCHEMA

    public static final String FIELD_TRANS_PARTITION_SCHEMA_ID_PARTITION_SCHEMA

See Also:
  Constant Field Values

### TABLE_R_CLUSTER

    public static final String TABLE_R_CLUSTER

See Also:
  Constant Field Values

### FIELD_CLUSTER_ID_CLUSTER

    public static final String FIELD_CLUSTER_ID_CLUSTER

See Also:
  Constant Field Values

### FIELD_CLUSTER_NAME

    public static final String FIELD_CLUSTER_NAME

See Also:
  Constant Field Values

### FIELD_CLUSTER_BASE_PORT

    public static final String FIELD_CLUSTER_BASE_PORT

See Also:
  Constant Field Values

### FIELD_CLUSTER_SOCKETS_BUFFER_SIZE

    public static final String FIELD_CLUSTER_SOCKETS_BUFFER_SIZE

See Also:
  Constant Field Values

### FIELD_CLUSTER_SOCKETS_FLUSH_INTERVAL

    public static final String FIELD_CLUSTER_SOCKETS_FLUSH_INTERVAL

See Also:
  Constant Field Values

### FIELD_CLUSTER_SOCKETS_COMPRESSED

    public static final String FIELD_CLUSTER_SOCKETS_COMPRESSED

See Also:
  Constant Field Values

### FIELD_CLUSTER_DYNAMIC

    public static final String FIELD_CLUSTER_DYNAMIC

See Also:
  Constant Field Values

### TABLE_R_SLAVE

    public static final String TABLE_R_SLAVE

See Also:
  Constant Field Values

### FIELD_SLAVE_ID_SLAVE

    public static final String FIELD_SLAVE_ID_SLAVE

See Also:
  Constant Field Values

### FIELD_SLAVE_NAME

    public static final String FIELD_SLAVE_NAME

See Also:
  Constant Field Values

### FIELD_SLAVE_HOST_NAME

    public static final String FIELD_SLAVE_HOST_NAME

See Also:
  Constant Field Values

### FIELD_SLAVE_PORT

    public static final String FIELD_SLAVE_PORT

See Also:
  Constant Field Values

### FIELD_SLAVE_USERNAME

    public static final String FIELD_SLAVE_USERNAME

See Also:
  Constant Field Values

### FIELD_SLAVE_PASSWORD

    public static final String FIELD_SLAVE_PASSWORD

See Also:
  Constant Field Values

### FIELD_SLAVE_PROXY_HOST_NAME

    public static final String FIELD_SLAVE_PROXY_HOST_NAME

See Also:
  Constant Field Values

### FIELD_SLAVE_PROXY_PORT

    public static final String FIELD_SLAVE_PROXY_PORT

See Also:
  Constant Field Values

### FIELD_SLAVE_NON_PROXY_HOSTS

    public static final String FIELD_SLAVE_NON_PROXY_HOSTS

See Also:
  Constant Field Values

### FIELD_SLAVE_MASTER

    public static final String FIELD_SLAVE_MASTER

See Also:
  Constant Field Values

### TABLE_R_CLUSTER_SLAVE

    public static final String TABLE_R_CLUSTER_SLAVE

See Also:
  Constant Field Values

### FIELD_CLUSTER_SLAVE_ID_CLUSTER_SLAVE

    public static final String FIELD_CLUSTER_SLAVE_ID_CLUSTER_SLAVE

See Also:
  Constant Field Values

### FIELD_CLUSTER_SLAVE_ID_CLUSTER

    public static final String FIELD_CLUSTER_SLAVE_ID_CLUSTER

See Also:
  Constant Field Values

### FIELD_CLUSTER_SLAVE_ID_SLAVE

    public static final String FIELD_CLUSTER_SLAVE_ID_SLAVE

See Also:
  Constant Field Values

### TABLE_R_TRANS_CLUSTER

    public static final String TABLE_R_TRANS_CLUSTER

See Also:
  Constant Field Values

### FIELD_TRANS_CLUSTER_ID_TRANS_CLUSTER

    public static final String FIELD_TRANS_CLUSTER_ID_TRANS_CLUSTER

See Also:
  Constant Field Values

### FIELD_TRANS_CLUSTER_ID_TRANSFORMATION

    public static final String FIELD_TRANS_CLUSTER_ID_TRANSFORMATION

See Also:
  Constant Field Values

### FIELD_TRANS_CLUSTER_ID_CLUSTER

    public static final String FIELD_TRANS_CLUSTER_ID_CLUSTER

See Also:
  Constant Field Values

### TABLE_R_TRANS_SLAVE

    public static final String TABLE_R_TRANS_SLAVE

See Also:
  Constant Field Values

### FIELD_TRANS_SLAVE_ID_TRANS_SLAVE

    public static final String FIELD_TRANS_SLAVE_ID_TRANS_SLAVE

See Also:
  Constant Field Values

### FIELD_TRANS_SLAVE_ID_TRANSFORMATION

    public static final String FIELD_TRANS_SLAVE_ID_TRANSFORMATION

See Also:
  Constant Field Values

### FIELD_TRANS_SLAVE_ID_SLAVE

    public static final String FIELD_TRANS_SLAVE_ID_SLAVE

See Also:
  Constant Field Values

### repositoryTableNames

    public static final String[] repositoryTableNames

### REQUIRED_MAJOR_VERSION

    public static final int REQUIRED_MAJOR_VERSION

See Also:
  Constant Field Values

### REQUIRED_MINOR_VERSION

    public static final int REQUIRED_MINOR_VERSION

See Also:
  Constant Field Values

### userinfo

    public UserInfo userinfo

### log

    public org.pentaho.di.core.logging.LogWriter log

### REP_STRING_LENGTH

    public static final int REP_STRING_LENGTH

  The maximum length of a text field in a Kettle repository : 2.000.000 is enough for everyone ;-)

  See Also:
    Constant Field Values

### REP_STRING_CODE_LENGTH

    public static final int REP_STRING_CODE_LENGTH

See Also:
  Constant Field Values

### TRANS_ATTRIBUTE_ID_STEP_REJECTED

    public static final String TRANS_ATTRIBUTE_ID_STEP_REJECTED

See Also:
  Constant Field Values

### TRANS_ATTRIBUTE_UNIQUE_CONNECTIONS

    public static final String TRANS_ATTRIBUTE_UNIQUE_CONNECTIONS

See Also:
  Constant Field Values

### TRANS_ATTRIBUTE_FEEDBACK_SHOWN

    public static final String TRANS_ATTRIBUTE_FEEDBACK_SHOWN

See Also:
  Constant Field Values

### TRANS_ATTRIBUTE_FEEDBACK_SIZE

    public static final String TRANS_ATTRIBUTE_FEEDBACK_SIZE

See Also:
  Constant Field Values

### TRANS_ATTRIBUTE_USING_THREAD_PRIORITIES

    public static final String TRANS_ATTRIBUTE_USING_THREAD_PRIORITIES

See Also:
  Constant Field Values

### TRANS_ATTRIBUTE_SHARED_FILE

    public static final String TRANS_ATTRIBUTE_SHARED_FILE

See Also:
  Constant Field Values

### TRANS_ATTRIBUTE_CAPTURE_STEP_PERFORMANCE

    public static final String TRANS_ATTRIBUTE_CAPTURE_STEP_PERFORMANCE

See Also:
  Constant Field Values

### TRANS_ATTRIBUTE_STEP_PERFORMANCE_CAPTURING_DELAY

    public static final String TRANS_ATTRIBUTE_STEP_PERFORMANCE_CAPTURING_DELAY

See Also:
  Constant Field Values

### TRANS_ATTRIBUTE_STEP_PERFORMANCE_LOG_TABLE

    public static final String TRANS_ATTRIBUTE_STEP_PERFORMANCE_LOG_TABLE

See Also:
  Constant Field Values

### TRANS_ATTRIBUTE_LOG_SIZE_LIMIT

    public static final String TRANS_ATTRIBUTE_LOG_SIZE_LIMIT

See Also:
  Constant Field Values

### TRANS_ATTRIBUTE_PARAM_KEY

    public static final String TRANS_ATTRIBUTE_PARAM_KEY

See Also:
  Constant Field Values

### TRANS_ATTRIBUTE_PARAM_DEFAULT

    public static final String TRANS_ATTRIBUTE_PARAM_DEFAULT

See Also:
  Constant Field Values

### TRANS_ATTRIBUTE_PARAM_DESCRIPTION

    public static final String TRANS_ATTRIBUTE_PARAM_DESCRIPTION

See Also:
  Constant Field Values

### JOB_ATTRIBUTE_PARAM_KEY

    public static final String JOB_ATTRIBUTE_PARAM_KEY

See Also:
  Constant Field Values

### JOB_ATTRIBUTE_PARAM_DEFAULT

    public static final String JOB_ATTRIBUTE_PARAM_DEFAULT

See Also:
  Constant Field Values

### JOB_ATTRIBUTE_PARAM_DESCRIPTION

    public static final String JOB_ATTRIBUTE_PARAM_DESCRIPTION

See Also:
  Constant Field Values

### JOB_ATTRIBUTE_LOG_SIZE_LIMIT

    public static final String JOB_ATTRIBUTE_LOG_SIZE_LIMIT

See Also:
  Constant Field Values

Constructor Detail

### Repository

    public Repository(org.pentaho.di.core.logging.LogWriter log,
                      RepositoryMeta repinfo,
                      UserInfo userinfo)

Method Detail

### getRepositoryInfo

    public RepositoryMeta getRepositoryInfo()

### getUserInfo

    public UserInfo getUserInfo()

### getName

    public String getName()

### getMajorVersion

    public int getMajorVersion()

  Return the major repository version.

  Returns:
    the major repository version.

### getMinorVersion

    public int getMinorVersion()

  Return the minor repository version.

  Returns:
    the minor repository version.

### getVersion

    public String getVersion()

  Get the repository version.

  Returns:
    The repository version as major version + "." + minor version

### getRequiredVersion

    public static final String getRequiredVersion()

  Get the required repository version for this version of Kettle.

  Returns:
    the required repository version for this version of Kettle.

### getLocksource

    public String getLocksource()

  Returns:
    The source specified at connect() time.

### connect

    public boolean connect(String locksource)
                    throws org.pentaho.di.core.exception.KettleException

  Connect to the repository

  Parameters:
    `locksource` -
  Returns:
    true if the connection went well, false if we couldn't connect.
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### connect

    public boolean connect(boolean no_lookup,
                           boolean readDirectory,
                           String locksource)
                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### connect

    public boolean connect(boolean no_lookup,
                           boolean readDirectory,
                           String locksource,
                           boolean ignoreVersion)
                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### refreshRepositoryDirectoryTree

    public void refreshRepositoryDirectoryTree()
                                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### disconnect

    public void disconnect()

### setAutoCommit

    public void setAutoCommit(boolean autocommit)

### commit

    public void commit()
                throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### rollback

    public void rollback()

### getStepAttributesBuffer

    public List<Object[]> getStepAttributesBuffer()

  Returns:
    Returns the stepAttributesBuffer.

### setStepAttributesBuffer

    public void setStepAttributesBuffer(List<Object[]> stepAttributesBuffer)

  Parameters:
    `stepAttributesBuffer` - The stepAttributesBuffer to set.

### fillStepAttributesBuffer

    public void fillStepAttributesBuffer(long id_transformation)
                                  throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobID

    public long getJobID(String name,
                         long id_directory)
                  throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransformationID

    public long getTransformationID(String name,
                                    long id_directory)
                             throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNoteID

    public long getNoteID(String note)
                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getDatabaseID

    public long getDatabaseID(String name)
                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getPartitionSchemaID

    public long getPartitionSchemaID(String name)
                              throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getSlaveID

    public long getSlaveID(String name)
                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getClusterID

    public long getClusterID(String name)
                      throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getDatabaseTypeID

    public long getDatabaseTypeID(String code)
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getDatabaseConTypeID

    public long getDatabaseConTypeID(String code)
                              throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getStepTypeID

    public long getStepTypeID(String code)
                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobEntryID

    public long getJobEntryID(String name,
                              long id_job)
                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobEntryTypeID

    public long getJobEntryTypeID(String code)
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getStepID

    public long getStepID(String name,
                          long id_transformation)
                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getUserID

    public long getUserID(String login)
                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getProfileID

    public long getProfileID(String profilename)
                      throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getPermissionID

    public long getPermissionID(String code)
                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransHopID

    public long getTransHopID(long id_transformation,
                              long id_step_from,
                              long id_step_to)
                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobHopID

    public long getJobHopID(long id_job,
                            long id_jobentry_copy_from,
                            long id_jobentry_copy_to)
                     throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getDependencyID

    public long getDependencyID(long id_transformation,
                                long id_database,
                                String tablename)
                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getRootDirectoryID

    public long getRootDirectoryID()
                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrSubDirectories

    public int getNrSubDirectories(long id_directory)
                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getSubDirectoryIDs

    public long[] getSubDirectoryIDs(long id_directory)
                              throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getDatabaseTypeCode

    public String getDatabaseTypeCode(long id_database_type)
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getDatabaseConTypeCode

    public String getDatabaseConTypeCode(long id_database_contype)
                                  throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getStepTypeCode

    public String getStepTypeCode(long id_database_type)
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### moveTransformation

    public void moveTransformation(String transname,
                                   long id_directory_from,
                                   long id_directory_to)
                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### moveJob

    public void moveJob(String jobname,
                        long id_directory_from,
                        long id_directory_to)
                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextTransformationID

    public long getNextTransformationID()
                                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextJobID

    public long getNextJobID()
                      throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextNoteID

    public long getNextNoteID()
                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextLogID

    public long getNextLogID()
                      throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextDatabaseID

    public long getNextDatabaseID()
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextDatabaseTypeID

    public long getNextDatabaseTypeID()
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextDatabaseConnectionTypeID

    public long getNextDatabaseConnectionTypeID()
                                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextLoglevelID

    public long getNextLoglevelID()
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextStepTypeID

    public long getNextStepTypeID()
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextStepID

    public long getNextStepID()
                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextJobEntryID

    public long getNextJobEntryID()
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextJobEntryTypeID

    public long getNextJobEntryTypeID()
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextJobEntryCopyID

    public long getNextJobEntryCopyID()
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextStepAttributeID

    public long getNextStepAttributeID()
                                throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextTransAttributeID

    public long getNextTransAttributeID()
                                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextJobAttributeID

    public long getNextJobAttributeID()
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextDatabaseAttributeID

    public long getNextDatabaseAttributeID()
                                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextTransHopID

    public long getNextTransHopID()
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextJobHopID

    public long getNextJobHopID()
                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextDepencencyID

    public long getNextDepencencyID()
                             throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextPartitionSchemaID

    public long getNextPartitionSchemaID()
                                  throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextPartitionID

    public long getNextPartitionID()
                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextTransformationPartitionSchemaID

    public long getNextTransformationPartitionSchemaID()
                                                throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextClusterID

    public long getNextClusterID()
                          throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextSlaveServerID

    public long getNextSlaveServerID()
                              throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextClusterSlaveID

    public long getNextClusterSlaveID()
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextTransformationSlaveID

    public long getNextTransformationSlaveID()
                                      throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextTransformationClusterID

    public long getNextTransformationClusterID()
                                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextConditionID

    public long getNextConditionID()
                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextValueID

    public long getNextValueID()
                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextUserID

    public long getNextUserID()
                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextProfileID

    public long getNextProfileID()
                          throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextPermissionID

    public long getNextPermissionID()
                             throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextJobEntryAttributeID

    public long getNextJobEntryAttributeID()
                                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNextID

    public long getNextID(String tableName,
                          String fieldName)
                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### clearNextIDCounters

    public void clearNextIDCounters()

### getNextDirectoryID

    public long getNextDirectoryID()
                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertTransformation

    public void insertTransformation(TransMeta transMeta)
                              throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertJob

    public void insertJob(JobMeta jobMeta)
                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertNote

    public long insertNote(String note,
                           long gui_location_x,
                           long gui_location_y,
                           long gui_location_width,
                           long gui_location_height)
                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertLogEntry

    public long insertLogEntry(String description)
                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertTransNote

    public void insertTransNote(long id_transformation,
                                long id_note)
                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertJobNote

    public void insertJobNote(long id_job,
                              long id_note)
                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertDatabase

    public long insertDatabase(String name,
                               String type,
                               String access,
                               String host,
                               String dbname,
                               String port,
                               String user,
                               String pass,
                               String servername,
                               String data_tablespace,
                               String index_tablespace)
                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertStep

    public long insertStep(long id_transformation,
                           String name,
                           String description,
                           String steptype,
                           boolean distribute,
                           long copies,
                           long gui_location_x,
                           long gui_location_y,
                           boolean gui_draw)
                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertStepAttribute

    public long insertStepAttribute(long id_transformation,
                                    long id_step,
                                    long nr,
                                    String code,
                                    double value_num,
                                    String value_str)
                             throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertTransAttribute

    public long insertTransAttribute(long id_transformation,
                                     long nr,
                                     String code,
                                     long value_num,
                                     String value_str)
                              throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertJobAttribute

    public long insertJobAttribute(long id_job,
                                   long nr,
                                   String code,
                                   long value_num,
                                   String value_str)
                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertStepDatabase

    public void insertStepDatabase(long id_transformation,
                                   long id_step,
                                   long id_database)
                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertDatabaseAttribute

    public long insertDatabaseAttribute(long id_database,
                                        String code,
                                        String value_str)
                                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertJobEntryAttribute

    public long insertJobEntryAttribute(long id_job,
                                        long id_jobentry,
                                        long nr,
                                        String code,
                                        double value_num,
                                        String value_str)
                                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertTransHop

    public long insertTransHop(long id_transformation,
                               long id_step_from,
                               long id_step_to,
                               boolean enabled)
                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertJobHop

    public long insertJobHop(long id_job,
                             long id_jobentry_copy_from,
                             long id_jobentry_copy_to,
                             boolean enabled,
                             boolean evaluation,
                             boolean unconditional)
                      throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertDependency

    public long insertDependency(long id_transformation,
                                 long id_database,
                                 String tablename,
                                 String fieldname)
                          throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertPartitionSchema

    public long insertPartitionSchema(PartitionSchema partitionSchema)
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### updatePartitionSchema

    public void updatePartitionSchema(PartitionSchema partitionSchema)
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertPartition

    public long insertPartition(long id_partition_schema,
                                String partition_id)
                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertTransformationPartitionSchema

    public long insertTransformationPartitionSchema(long id_transformation,
                                                    long id_partition_schema)
                                             throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertCluster

    public long insertCluster(ClusterSchema clusterSchema)
                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertSlave

    public long insertSlave(SlaveServer slaveServer)
                     throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### updateSlave

    public void updateSlave(SlaveServer slaveServer)
                     throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertClusterSlave

    public long insertClusterSlave(ClusterSchema clusterSchema,
                                   SlaveServer slaveServer)
                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertTransformationCluster

    public long insertTransformationCluster(long id_transformation,
                                            long id_cluster)
                                     throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertTransformationSlave

    public long insertTransformationSlave(long id_transformation,
                                          long id_slave)
                                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertCondition

    public long insertCondition(long id_condition_parent,
                                Condition condition)
                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertTransStepCondition

    public void insertTransStepCondition(long id_transformation,
                                         long id_step,
                                         long id_condition)
                                  throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertDirectory

    public long insertDirectory(long id_directory_parent,
                                RepositoryDirectory dir)
                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### deleteDirectory

    public void deleteDirectory(long id_directory)
                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### renameDirectory

    public void renameDirectory(long id_directory,
                                String name)
                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### lookupValue

    public long lookupValue(String name,
                            String type,
                            String value_str,
                            boolean isnull)
                     throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertValue

    public long insertValue(String name,
                            String type,
                            String value_str,
                            boolean isnull,
                            long id_value_prev)
                     throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertJobEntry

    public long insertJobEntry(long id_job,
                               JobEntryBase jobEntryBase)
                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertJobEntryCopy

    public long insertJobEntryCopy(long id_job,
                                   long id_jobentry,
                                   long id_jobentry_type,
                                   int nr,
                                   long gui_location_x,
                                   long gui_location_y,
                                   boolean gui_draw,
                                   boolean parallel)
                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### insertTableRow

    public void insertTableRow(String tablename,
                               org.pentaho.di.core.RowMetaAndData values)
                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### updateDatabase

    public void updateDatabase(long id_database,
                               String name,
                               String type,
                               String access,
                               String host,
                               String dbname,
                               String port,
                               String user,
                               String pass,
                               String servername,
                               String data_tablespace,
                               String index_tablespace)
                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### updateTableRow

    public void updateTableRow(String tablename,
                               String idfield,
                               org.pentaho.di.core.RowMetaAndData values,
                               long id)
                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### updateTableRow

    public void updateTableRow(String tablename,
                               String idfield,
                               org.pentaho.di.core.RowMetaAndData values)
                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrJobs

    public int getNrJobs()
                  throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrTransformations

    public int getNrTransformations(long id_directory)
                             throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrJobs

    public int getNrJobs(long id_directory)
                  throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrDirectories

    public int getNrDirectories(long id_directory)
                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrConditions

    public int getNrConditions(long id_transforamtion)
                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrDatabases

    public int getNrDatabases(long id_transforamtion)
                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrSubConditions

    public int getNrSubConditions(long id_condition)
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrTransNotes

    public int getNrTransNotes(long id_transformation)
                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrJobNotes

    public int getNrJobNotes(long id_job)
                      throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrDatabases

    public int getNrDatabases()
                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrDatabaseAttributes

    public int getNrDatabaseAttributes(long id_database)
                                throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrSteps

    public int getNrSteps(long id_transformation)
                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrStepDatabases

    public int getNrStepDatabases(long id_database)
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrStepAttributes

    public int getNrStepAttributes(long id_step)
                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrTransHops

    public int getNrTransHops(long id_transformation)
                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrJobHops

    public int getNrJobHops(long id_job)
                     throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrTransDependencies

    public int getNrTransDependencies(long id_transformation)
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrJobEntries

    public int getNrJobEntries(long id_job)
                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrJobEntryCopies

    public int getNrJobEntryCopies(long id_job,
                                   long id_jobentry)
                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrJobEntryCopies

    public int getNrJobEntryCopies(long id_job)
                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrUsers

    public int getNrUsers()
                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrPermissions

    public int getNrPermissions(long id_profile)
                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNrProfiles

    public int getNrProfiles()
                      throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransformationNames

    public String[] getTransformationNames(long id_directory)
                                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobObjects

    public List<RepositoryObject> getJobObjects(long id_directory)
                                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransformationObjects

    public List<RepositoryObject> getTransformationObjects(long id_directory)
                                                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobNames

    public String[] getJobNames(long id_directory)
                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getDirectoryNames

    public String[] getDirectoryNames(long id_directory)
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobNames

    public String[] getJobNames()
                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getSubConditionIDs

    public long[] getSubConditionIDs(long id_condition)
                              throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransNoteIDs

    public long[] getTransNoteIDs(long id_transformation)
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getConditionIDs

    public long[] getConditionIDs(long id_transformation)
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getDatabaseIDs

    public long[] getDatabaseIDs(long id_transformation)
                          throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobNoteIDs

    public long[] getJobNoteIDs(long id_job)
                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getDatabaseIDs

    public long[] getDatabaseIDs()
                          throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getDatabaseAttributeIDs

    public long[] getDatabaseAttributeIDs(long id_database)
                                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getPartitionSchemaIDs

    public long[] getPartitionSchemaIDs()
                                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getPartitionIDs

    public long[] getPartitionIDs(long id_partition_schema)
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransformationPartitionSchemaIDs

    public long[] getTransformationPartitionSchemaIDs(long id_transformation)
                                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransformationClusterSchemaIDs

    public long[] getTransformationClusterSchemaIDs(long id_transformation)
                                             throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getClusterIDs

    public long[] getClusterIDs()
                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getSlaveIDs

    public long[] getSlaveIDs()
                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getSlaveIDs

    public long[] getSlaveIDs(long id_cluster_schema)
                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getDatabaseNames

    public String[] getDatabaseNames()
                              throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getPartitionSchemaNames

    public String[] getPartitionSchemaNames()
                                     throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getSlaveNames

    public String[] getSlaveNames()
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getClusterNames

    public String[] getClusterNames()
                             throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getStepIDs

    public long[] getStepIDs(long id_transformation)
                      throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransformationsUsingDatabase

    public String[] getTransformationsUsingDatabase(long id_database)
                                             throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getClustersUsingSlave

    public String[] getClustersUsingSlave(long id_slave)
                                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransformationsUsingSlave

    public String[] getTransformationsUsingSlave(long id_slave)
                                          throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransformationsUsingPartitionSchema

    public String[] getTransformationsUsingPartitionSchema(long id_partition_schema)
                                                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransformationsUsingCluster

    public String[] getTransformationsUsingCluster(long id_cluster)
                                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransHopIDs

    public long[] getTransHopIDs(long id_transformation)
                          throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobHopIDs

    public long[] getJobHopIDs(long id_job)
                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransDependencyIDs

    public long[] getTransDependencyIDs(long id_transformation)
                                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getUserIDs

    public long[] getUserIDs()
                      throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getUserLogins

    public String[] getUserLogins()
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getPermissionIDs

    public long[] getPermissionIDs(long id_profile)
                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobEntryIDs

    public long[] getJobEntryIDs(long id_job)
                          throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobEntryCopyIDs

    public long[] getJobEntryCopyIDs(long id_job)
                              throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobEntryCopyIDs

    public long[] getJobEntryCopyIDs(long id_job,
                                     long id_jobentry)
                              throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getProfiles

    public String[] getProfiles()
                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getNote

    public org.pentaho.di.core.RowMetaAndData getNote(long id_note)
                                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getDatabase

    public org.pentaho.di.core.RowMetaAndData getDatabase(long id_database)
                                                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getDatabaseAttribute

    public org.pentaho.di.core.RowMetaAndData getDatabaseAttribute(long id_database_attribute)
                                                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getDatabaseAttributes

    public Collection<org.pentaho.di.core.RowMetaAndData> getDatabaseAttributes()
                                                                         throws org.pentaho.di.core.exception.KettleDatabaseException,
                                                                                org.pentaho.di.core.exception.KettleValueException

  Throws:
    `org.pentaho.di.core.exception.KettleDatabaseException`
    `org.pentaho.di.core.exception.KettleValueException`

### getDatabaseAttributes

    public Collection<org.pentaho.di.core.RowMetaAndData> getDatabaseAttributes(long id_database)
                                                                         throws org.pentaho.di.core.exception.KettleDatabaseException,
                                                                                org.pentaho.di.core.exception.KettleValueException

  Throws:
    `org.pentaho.di.core.exception.KettleDatabaseException`
    `org.pentaho.di.core.exception.KettleValueException`

### getCondition

    public org.pentaho.di.core.RowMetaAndData getCondition(long id_condition)
                                                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getValue

    public org.pentaho.di.core.RowMetaAndData getValue(long id_value)
                                                throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getStep

    public org.pentaho.di.core.RowMetaAndData getStep(long id_step)
                                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getStepType

    public org.pentaho.di.core.RowMetaAndData getStepType(long id_step_type)
                                                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getStepAttribute

    public org.pentaho.di.core.RowMetaAndData getStepAttribute(long id_step_attribute)
                                                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getStepDatabase

    public org.pentaho.di.core.RowMetaAndData getStepDatabase(long id_step)
                                                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransHop

    public org.pentaho.di.core.RowMetaAndData getTransHop(long id_trans_hop)
                                                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobHop

    public org.pentaho.di.core.RowMetaAndData getJobHop(long id_job_hop)
                                                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransDependency

    public org.pentaho.di.core.RowMetaAndData getTransDependency(long id_dependency)
                                                          throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransformation

    public org.pentaho.di.core.RowMetaAndData getTransformation(long id_transformation)
                                                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getUser

    public org.pentaho.di.core.RowMetaAndData getUser(long id_user)
                                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getProfile

    public org.pentaho.di.core.RowMetaAndData getProfile(long id_profile)
                                                  throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getPermission

    public org.pentaho.di.core.RowMetaAndData getPermission(long id_permission)
                                                     throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJob

    public org.pentaho.di.core.RowMetaAndData getJob(long id_job)
                                              throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobEntry

    public org.pentaho.di.core.RowMetaAndData getJobEntry(long id_jobentry)
                                                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobEntryCopy

    public org.pentaho.di.core.RowMetaAndData getJobEntryCopy(long id_jobentry_copy)
                                                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobEntryType

    public org.pentaho.di.core.RowMetaAndData getJobEntryType(long id_jobentry_type)
                                                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getDirectory

    public org.pentaho.di.core.RowMetaAndData getDirectory(long id_directory)
                                                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getPartitionSchema

    public org.pentaho.di.core.RowMetaAndData getPartitionSchema(long id_partition_schema)
                                                          throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getPartition

    public org.pentaho.di.core.RowMetaAndData getPartition(long id_partition)
                                                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getClusterSchema

    public org.pentaho.di.core.RowMetaAndData getClusterSchema(long id_cluster_schema)
                                                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getSlaveServer

    public org.pentaho.di.core.RowMetaAndData getSlaveServer(long id_slave)
                                                      throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveStepAttribute

    public long saveStepAttribute(long id_transformation,
                                  long id_step,
                                  String code,
                                  String value)
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveStepAttribute

    public long saveStepAttribute(long id_transformation,
                                  long id_step,
                                  String code,
                                  double value)
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveStepAttribute

    public long saveStepAttribute(long id_transformation,
                                  long id_step,
                                  String code,
                                  boolean value)
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveStepAttribute

    public long saveStepAttribute(long id_transformation,
                                  long id_step,
                                  long nr,
                                  String code,
                                  String value)
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveStepAttribute

    public long saveStepAttribute(long id_transformation,
                                  long id_step,
                                  long nr,
                                  String code,
                                  double value)
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveStepAttribute

    public long saveStepAttribute(long id_transformation,
                                  long id_step,
                                  long nr,
                                  String code,
                                  boolean value)
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### byteArrayToString

    public static final String byteArrayToString(byte[] val)
                                          throws IOException

  GZips and then base64 encodes an array of bytes to a String

  Parameters:
    `val` - the array of bytes to convert to a string
  Returns:
    the base64 encoded string
  Throws:
    `IOException` - in the case there is a Base64 or GZip encoding problem

### setLookupStepAttribute

    public void setLookupStepAttribute()
                                throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### setLookupTransAttribute

    public void setLookupTransAttribute()
                                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### closeTransAttributeLookupPreparedStatement

    public void closeTransAttributeLookupPreparedStatement()
                                                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### setLookupJobAttribute

    public void setLookupJobAttribute()
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### closeJobAttributeLookupPreparedStatement

    public void closeJobAttributeLookupPreparedStatement()
                                                  throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### closeStepAttributeLookupPreparedStatement

    public void closeStepAttributeLookupPreparedStatement()
                                                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### closeStepAttributeInsertPreparedStatement

    public void closeStepAttributeInsertPreparedStatement()
                                                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### closeTransAttributeInsertPreparedStatement

    public void closeTransAttributeInsertPreparedStatement()
                                                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransAttributeRow

    public org.pentaho.di.core.RowMetaAndData getTransAttributeRow(long id_transformation,
                                                                   int nr,
                                                                   String code)
                                                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobAttributeRow

    public org.pentaho.di.core.RowMetaAndData getJobAttributeRow(long id_job,
                                                                 int nr,
                                                                 String code)
                                                          throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getStepAttributeInteger

    public long getStepAttributeInteger(long id_step,
                                        int nr,
                                        String code)
                                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### findStepAttributeID

    public long findStepAttributeID(long id_step,
                                    int nr,
                                    String code)
                             throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getStepAttributeString

    public String getStepAttributeString(long id_step,
                                         int nr,
                                         String code)
                                  throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getStepAttributeBoolean

    public boolean getStepAttributeBoolean(long id_step,
                                           int nr,
                                           String code,
                                           boolean def)
                                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getStepAttributeBoolean

    public boolean getStepAttributeBoolean(long id_step,
                                           int nr,
                                           String code)
                                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getStepAttributeInteger

    public long getStepAttributeInteger(long id_step,
                                        String code)
                                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getStepAttributeString

    public String getStepAttributeString(long id_step,
                                         String code)
                                  throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getStepAttributeBoolean

    public boolean getStepAttributeBoolean(long id_step,
                                           String code)
                                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### countNrStepAttributes

    public int countNrStepAttributes(long id_step,
                                     String code)
                              throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransAttributeString

    public String getTransAttributeString(long id_transformation,
                                          int nr,
                                          String code)
                                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransAttributeBoolean

    public boolean getTransAttributeBoolean(long id_transformation,
                                            int nr,
                                            String code)
                                     throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransAttributeNumber

    public double getTransAttributeNumber(long id_transformation,
                                          int nr,
                                          String code)
                                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransAttributeInteger

    public long getTransAttributeInteger(long id_transformation,
                                         int nr,
                                         String code)
                                  throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### countNrTransAttributes

    public int countNrTransAttributes(long id_transformation,
                                      String code)
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransAttributes

    public List<Object[]> getTransAttributes(long id_transformation,
                                             String code,
                                             long nr)
                                      throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobAttributeString

    public String getJobAttributeString(long id_job,
                                        int nr,
                                        String code)
                                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobAttributeBoolean

    public boolean getJobAttributeBoolean(long id_job,
                                          int nr,
                                          String code)
                                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobAttributeNumber

    public double getJobAttributeNumber(long id_job,
                                        int nr,
                                        String code)
                                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobAttributeInteger

    public long getJobAttributeInteger(long id_job,
                                       int nr,
                                       String code)
                                throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### countNrJobAttributes

    public int countNrJobAttributes(long id_job,
                                    String code)
                             throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobAttributes

    public List<Object[]> getJobAttributes(long id_job,
                                           String code,
                                           long nr)
                                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveJobEntryAttribute

    public long saveJobEntryAttribute(long id_job,
                                      long id_jobentry,
                                      String code,
                                      String value)
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveJobEntryAttribute

    public long saveJobEntryAttribute(long id_job,
                                      long id_jobentry,
                                      String code,
                                      double value)
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveJobEntryAttribute

    public long saveJobEntryAttribute(long id_job,
                                      long id_jobentry,
                                      String code,
                                      boolean value)
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveJobEntryAttribute

    public long saveJobEntryAttribute(long id_job,
                                      long id_jobentry,
                                      long nr,
                                      String code,
                                      String value)
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveJobEntryAttribute

    public long saveJobEntryAttribute(long id_job,
                                      long id_jobentry,
                                      long nr,
                                      String code,
                                      double value)
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveJobEntryAttribute

    public long saveJobEntryAttribute(long id_job,
                                      long id_jobentry,
                                      long nr,
                                      String code,
                                      boolean value)
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### setLookupJobEntryAttribute

    public void setLookupJobEntryAttribute()
                                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### closeLookupJobEntryAttribute

    public void closeLookupJobEntryAttribute()
                                      throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobEntryAttributeInteger

    public long getJobEntryAttributeInteger(long id_jobentry,
                                            int nr,
                                            String code)
                                     throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobEntryAttributeNumber

    public double getJobEntryAttributeNumber(long id_jobentry,
                                             int nr,
                                             String code)
                                      throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobEntryAttributeString

    public String getJobEntryAttributeString(long id_jobentry,
                                             int nr,
                                             String code)
                                      throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobEntryAttributeBoolean

    public boolean getJobEntryAttributeBoolean(long id_jobentry,
                                               int nr,
                                               String code)
                                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobEntryAttributeBoolean

    public boolean getJobEntryAttributeBoolean(long id_jobentry,
                                               int nr,
                                               String code,
                                               boolean def)
                                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobEntryAttributeNumber

    public double getJobEntryAttributeNumber(long id_jobentry,
                                             String code)
                                      throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobEntryAttributeInteger

    public long getJobEntryAttributeInteger(long id_jobentry,
                                            String code)
                                     throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobEntryAttributeString

    public String getJobEntryAttributeString(long id_jobentry,
                                             String code)
                                      throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobEntryAttributeBoolean

    public boolean getJobEntryAttributeBoolean(long id_jobentry,
                                               String code)
                                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobEntryAttributeBoolean

    public boolean getJobEntryAttributeBoolean(long id_jobentry,
                                               String code,
                                               boolean def)
                                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### countNrJobEntryAttributes

    public int countNrJobEntryAttributes(long id_jobentry,
                                         String code)
                                  throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delSteps

    public void delSteps(long id_transformation)
                  throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delCondition

    public void delCondition(long id_condition)
                      throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delStepConditions

    public void delStepConditions(long id_transformation)
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delStepDatabases

    public void delStepDatabases(long id_transformation)
                          throws org.pentaho.di.core.exception.KettleException

  Delete the relationships between the transformation/steps and the databases.

  Parameters:
    `id_transformation` - the transformation for which we want to delete the databases.
  Throws:
    `org.pentaho.di.core.exception.KettleException` - in case something unexpected happens.

### delJobEntries

    public void delJobEntries(long id_job)
                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delJobEntryCopies

    public void delJobEntryCopies(long id_job)
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delDependencies

    public void delDependencies(long id_transformation)
                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delStepAttributes

    public void delStepAttributes(long id_transformation)
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delTransAttributes

    public void delTransAttributes(long id_transformation)
                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delJobAttributes

    public void delJobAttributes(long id_job)
                          throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delPartitionSchemas

    public void delPartitionSchemas(long id_transformation)
                             throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delPartitions

    public void delPartitions(long id_partition_schema)
                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delClusterSlaves

    public void delClusterSlaves(long id_cluster)
                          throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delTransformationClusters

    public void delTransformationClusters(long id_transformation)
                                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delTransformationSlaves

    public void delTransformationSlaves(long id_transformation)
                                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delJobEntryAttributes

    public void delJobEntryAttributes(long id_job)
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delTransHops

    public void delTransHops(long id_transformation)
                      throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delJobHops

    public void delJobHops(long id_job)
                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delTransNotes

    public void delTransNotes(long id_transformation)
                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delJobNotes

    public void delJobNotes(long id_job)
                     throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delTrans

    public void delTrans(long id_transformation)
                  throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delJob

    public void delJob(long id_job)
                throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delDatabase

    public void delDatabase(long id_database)
                     throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delDatabaseAttributes

    public void delDatabaseAttributes(long id_database)
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delTransStepCondition

    public void delTransStepCondition(long id_transformation)
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delValue

    public void delValue(long id_value)
                  throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delUser

    public void delUser(long id_user)
                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delProfile

    public void delProfile(long id_profile)
                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delProfilePermissions

    public void delProfilePermissions(long id_profile)
                               throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delSlave

    public void delSlave(long id_slave)
                  throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delPartitionSchema

    public void delPartitionSchema(long id_partition_schema)
                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delClusterSchema

    public void delClusterSchema(long id_cluster)
                          throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delAllFromTrans

    public void delAllFromTrans(long id_transformation)
                         throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### renameTransformation

    public void renameTransformation(long id_transformation,
                                     String newname)
                              throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### renameUser

    public void renameUser(long id_user,
                           String newname)
                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### renameProfile

    public void renameProfile(long id_profile,
                              String newname)
                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### renameDatabase

    public void renameDatabase(long id_database,
                               String newname)
                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### delAllFromJob

    public void delAllFromJob(long id_job)
                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### renameJob

    public void renameJob(long id_job,
                          String newname)
                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### dropRepositorySchema

    public boolean dropRepositorySchema()
                                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### updateStepTypes

    public void updateStepTypes()
                         throws org.pentaho.di.core.exception.KettleException

  Update the list in R_STEP_TYPE using the StepLoader StepPlugin entries

  Throws:
    `org.pentaho.di.core.exception.KettleException` - if the update didn't go as planned.

### updateJobEntryTypes

    public void updateJobEntryTypes()
                             throws org.pentaho.di.core.exception.KettleException

  Update the list in R_JOBENTRY_TYPE

  Throws:
    `org.pentaho.di.core.exception.KettleException` - if something went wrong during the update.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getDatabase

    public org.pentaho.di.core.database.Database getDatabase()

  Returns:
    Returns the database.

### setDatabase

    public void setDatabase(org.pentaho.di.core.database.Database database)

  Parameters:
    `database` - The database to set.

### getDirectoryTree

    public RepositoryDirectory getDirectoryTree()

  Returns:
    Returns the directoryTree.

### setDirectoryTree

    public void setDirectoryTree(RepositoryDirectory directoryTree)

  Parameters:
    `directoryTree` - The directoryTree to set.

### lockRepository

    public void lockRepository()
                        throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### unlockRepository

    public void unlockRepository()
                          throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### exportAllObjects

    public void exportAllObjects(org.pentaho.di.core.ProgressMonitorListener monitor,
                                 String xmlFilename,
                                 RepositoryDirectory root,
                                 String exportType)
                          throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getCurrentRepository

    public static Repository getCurrentRepository()

  Deprecated. this is not thread safe

  Returns:
    the current repository

### setCurrentRepository

    public static void setCurrentRepository(Repository currentRepository)

  Deprecated. this is not thread safe

  Parameters:
    `currentRepository` - the current repository

### getDatabases

    public List<org.pentaho.di.core.database.DatabaseMeta> getDatabases()
                                                                 throws org.pentaho.di.core.exception.KettleException

  Returns:
    a list of all the databases in the repository.
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getSlaveServers

    public List<SlaveServer> getSlaveServers()
                                      throws org.pentaho.di.core.exception.KettleException

  Returns:
    a list of all the slave servers in the repository.
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getStepAttributesRowMeta

    public org.pentaho.di.core.row.RowMetaInterface getStepAttributesRowMeta()

  Returns:
    the stepAttributesRowMeta

### setStepAttributesRowMeta

    public void setStepAttributesRowMeta(org.pentaho.di.core.row.RowMetaInterface stepAttributesRowMeta)

  Parameters:
    `stepAttributesRowMeta` - the stepAttributesRowMeta to set

### quote

    public String quote(String identifier)

### getDatabaseMeta

    public org.pentaho.di.core.database.DatabaseMeta getDatabaseMeta()

  Returns:
    the databaseMeta

### readDatabases

    public List<org.pentaho.di.core.database.DatabaseMeta> readDatabases()
                                                                  throws org.pentaho.di.core.exception.KettleException

  Read all the databases defined in the repository

  Returns:
    a list of all the databases defined in the repository
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### isUseBatchProcessing

    public boolean isUseBatchProcessing()

  Returns:
    the useBatchProcessing

### setUseBatchProcessing

    public void setUseBatchProcessing(boolean useBatchProcessing)

  Parameters:
    `useBatchProcessing` - the useBatchProcessing to set

### setImportBaseDirectory

    public void setImportBaseDirectory(RepositoryDirectory importBaseDirectory)

  Set this directory during import to signal that job entries like Trans and Job need to point to job entries relative to this directory.

  Parameters:
    `importBaseDirectory` - the base import directory, selected by the user

### getImportBaseDirectory

    public RepositoryDirectory getImportBaseDirectory()

  The directory set during import to signal that job entries like Trans and Job need to point to job entries relative to this directory

  Returns:
    the base import directory, selected by the user

### setUserInfo

    public void setUserInfo(UserInfo userinfo)

  Parameters:
    `userinfo` - the UserInfo object to set

### createRepositorySchema

    public void createRepositorySchema(org.pentaho.di.core.ProgressMonitorListener monitor,
                                       boolean upgrade,
                                       List<String> statements,
                                       boolean dryRun)
                                throws org.pentaho.di.core.exception.KettleException

  Create or upgrade repository tables & fields, populate lookup tables, ...

  Parameters:
    `monitor` - The progress monitor to use, or null if no monitor is present.
    `upgrade` - True if you want to upgrade the repository, false if you want to create it.
    `statements` - the list of statements to populate
    `dryrun` - true if we don't actually execute the statements
  Throws:
    `org.pentaho.di.core.exception.KettleException` - in case something goes wrong!

### countTransParameter

    public int countTransParameter(long id_transformation)
                            throws org.pentaho.di.core.exception.KettleException

  Count the number of parameters of a transaction.

  Parameters:
    `id_transformation` - transformation id
  Returns:
    the number of transactions
  Throws:
    `org.pentaho.di.core.exception.KettleException` - Upon any error.

### getTransParameterKey

    public String getTransParameterKey(long id_transformation,
                                       int nr)
                                throws org.pentaho.di.core.exception.KettleException

  Get a transformation parameter key. You can count the number of parameters up front.

  Parameters:
    `id_transformation` - transformation id
    `nr` - number of the parameter
  Returns:
    they key/name of specified parameter
  Throws:
    `org.pentaho.di.core.exception.KettleException` - Upon any error.

### getTransParameterDefault

    public String getTransParameterDefault(long id_transformation,
                                           int nr)
                                    throws org.pentaho.di.core.exception.KettleException

  Get a transformation parameter default. You can count the number of parameters up front.

  Parameters:
    `id_transformation` - transformation id
    `nr` - number of the parameter
  Returns:
  Throws:
    `org.pentaho.di.core.exception.KettleException` - Upon any error.

### getTransParameterDescription

    public String getTransParameterDescription(long id_transformation,
                                               int nr)
                                        throws org.pentaho.di.core.exception.KettleException

  Get a transformation parameter description. You can count the number of parameters up front.

  Parameters:
    `id_transformation` - transformation id
    `nr` - number of the parameter
  Returns:
  Throws:
    `org.pentaho.di.core.exception.KettleException` - Upon any error.

### insertTransParameter

    public void insertTransParameter(long id_transformation,
                                     long nr,
                                     String key,
                                     String defValue,
                                     String description)
                              throws org.pentaho.di.core.exception.KettleException

  Insert a parameter for a transformation in the repository.

  Parameters:
    `id_transformation` - transformation id
    `nr` - number of the parameter to insert
    `key` - key to insert
    `defValue` - default value
    `description` - description to insert
  Throws:
    `org.pentaho.di.core.exception.KettleException` - Upon any error.

### countJobParameter

    public int countJobParameter(long id_job)
                          throws org.pentaho.di.core.exception.KettleException

  Count the number of parameters of a job.

  Parameters:
    `id_job` - job id
  Returns:
    the number of transactions
  Throws:
    `org.pentaho.di.core.exception.KettleException` - Upon any error.

### getJobParameterKey

    public String getJobParameterKey(long id_job,
                                     int nr)
                              throws org.pentaho.di.core.exception.KettleException

  Get a job parameter key. You can count the number of parameters up front.

  Parameters:
    `id_job` - job id
    `nr` - number of the parameter
  Returns:
    they key/name of specified parameter
  Throws:
    `org.pentaho.di.core.exception.KettleException` - Upon any error.

### getJobParameterDefault

    public String getJobParameterDefault(long id_job,
                                         int nr)
                                  throws org.pentaho.di.core.exception.KettleException

  Get a job parameter default. You can count the number of parameters up front.

  Parameters:
    `id_job` - job id
    `nr` - number of the parameter
  Returns:
  Throws:
    `org.pentaho.di.core.exception.KettleException` - Upon any error.

### getJobParameterDescription

    public String getJobParameterDescription(long id_job,
                                             int nr)
                                      throws org.pentaho.di.core.exception.KettleException

  Get a job parameter description. You can count the number of parameters up front.

  Parameters:
    `id_job` - job id
    `nr` - number of the parameter
  Returns:
  Throws:
    `org.pentaho.di.core.exception.KettleException` - Upon any error.

### insertJobParameter

    public void insertJobParameter(long id_job,
                                   long nr,
                                   String key,
                                   String defValue,
                                   String description)
                            throws org.pentaho.di.core.exception.KettleException

  Insert a parameter for a job in the repository.

  Parameters:
    `id_job` - job id
    `nr` - number of the parameter to insert
    `key` - key to insert
    `defValue` - default value for key
    `description` - description to insert
  Throws:
    `org.pentaho.di.core.exception.KettleException` - Upon any error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD